/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author user
 */
@Entity
@Table(name = "tmp_pay_individual", catalog = "", schema = "")
@NamedQueries({
        @NamedQuery(name = "TmpPayIndividual.findAll", query = "SELECT t FROM TmpPayIndividual t"),
        @NamedQuery(name = "TmpPayIndividual.findById", query = "SELECT t FROM TmpPayIndividual t WHERE t.id = :id"),
        @NamedQuery(name = "TmpPayIndividual.findByAgentCode", query = "SELECT t FROM TmpPayIndividual t WHERE t.agentCode = :agentCode"),
        @NamedQuery(name = "TmpPayIndividual.findByName", query = "SELECT t FROM TmpPayIndividual t WHERE t.name = :name"),
        @NamedQuery(name = "TmpPayIndividual.findByAgentLevel", query = "SELECT t FROM TmpPayIndividual t WHERE t.agentLevel = :agentLevel"),
        @NamedQuery(name = "TmpPayIndividual.findBySmUnitName", query = "SELECT t FROM TmpPayIndividual t WHERE t.smUnitName = :smUnitName"),
        @NamedQuery(name = "TmpPayIndividual.findBySmUnitCode", query = "SELECT t FROM TmpPayIndividual t WHERE t.smUnitCode = :smUnitCode"),
        @NamedQuery(name = "TmpPayIndividual.findBySmName", query = "SELECT t FROM TmpPayIndividual t WHERE t.smName = :smName"),
        @NamedQuery(name = "TmpPayIndividual.findBySdName", query = "SELECT t FROM TmpPayIndividual t WHERE t.sdName = :sdName"),
        @NamedQuery(name = "TmpPayIndividual.findByEsdName", query = "SELECT t FROM TmpPayIndividual t WHERE t.esdName = :esdName"),
        @NamedQuery(name = "TmpPayIndividual.findByAgentOffice", query = "SELECT t FROM TmpPayIndividual t WHERE t.agentOffice = :agentOffice"),
        @NamedQuery(name = "TmpPayIndividual.findByIncomeTax", query = "SELECT t FROM TmpPayIndividual t WHERE t.incomeTax = :incomeTax"),
        @NamedQuery(name = "TmpPayIndividual.findByAmountNonTax", query = "SELECT t FROM TmpPayIndividual t WHERE t.amountNonTax = :amountNonTax"),
        @NamedQuery(name = "TmpPayIndividual.findByIncomeAmountNonTax", query = "SELECT t FROM TmpPayIndividual t WHERE t.incomeAmountNonTax = :incomeAmountNonTax"),
        @NamedQuery(name = "TmpPayIndividual.findByDeductAmountNonTax", query = "SELECT t FROM TmpPayIndividual t WHERE t.deductAmountNonTax = :deductAmountNonTax"),
        @NamedQuery(name = "TmpPayIndividual.findByAmountFund", query = "SELECT t FROM TmpPayIndividual t WHERE t.amountFund = :amountFund"),
        @NamedQuery(name = "TmpPayIndividual.findByIncomeFund", query = "SELECT t FROM TmpPayIndividual t WHERE t.incomeFund = :incomeFund"),
        @NamedQuery(name = "TmpPayIndividual.findByDeductFund", query = "SELECT t FROM TmpPayIndividual t WHERE t.deductFund = :deductFund"),
        @NamedQuery(name = "TmpPayIndividual.findByTax", query = "SELECT t FROM TmpPayIndividual t WHERE t.tax = :tax"),
        @NamedQuery(name = "TmpPayIndividual.findByNetIncome", query = "SELECT t FROM TmpPayIndividual t WHERE t.netIncome = :netIncome"),
        @NamedQuery(name = "TmpPayIndividual.findByBankCode", query = "SELECT t FROM TmpPayIndividual t WHERE t.bankCode = :bankCode"),
        @NamedQuery(name = "TmpPayIndividual.findByBankBranch", query = "SELECT t FROM TmpPayIndividual t WHERE t.bankBranch = :bankBranch"),
        @NamedQuery(name = "TmpPayIndividual.findByBankName", query = "SELECT t FROM TmpPayIndividual t WHERE t.bankName = :bankName"),
        @NamedQuery(name = "TmpPayIndividual.findByBankAccount", query = "SELECT t FROM TmpPayIndividual t WHERE t.bankAccount = :bankAccount"),
        @NamedQuery(name = "TmpPayIndividual.findByFyc", query = "SELECT t FROM TmpPayIndividual t WHERE t.fyc = :fyc"),
        @NamedQuery(name = "TmpPayIndividual.findByRyc", query = "SELECT t FROM TmpPayIndividual t WHERE t.ryc = :ryc"),
        @NamedQuery(name = "TmpPayIndividual.findByRecruiting", query = "SELECT t FROM TmpPayIndividual t WHERE t.recruiting = :recruiting"),
        @NamedQuery(name = "TmpPayIndividual.findByFaRetention", query = "SELECT t FROM TmpPayIndividual t WHERE t.faRetention = :faRetention"),
        @NamedQuery(name = "TmpPayIndividual.findByFaCareer", query = "SELECT t FROM TmpPayIndividual t WHERE t.faCareer = :faCareer"),
        @NamedQuery(name = "TmpPayIndividual.findByFaBonusM", query = "SELECT t FROM TmpPayIndividual t WHERE t.faBonusM = :faBonusM"),
        @NamedQuery(name = "TmpPayIndividual.findByFaBonusQ", query = "SELECT t FROM TmpPayIndividual t WHERE t.faBonusQ = :faBonusQ"),
        @NamedQuery(name = "TmpPayIndividual.findByFaBonusY", query = "SELECT t FROM TmpPayIndividual t WHERE t.faBonusY = :faBonusY"),
        @NamedQuery(name = "TmpPayIndividual.findByMotivation", query = "SELECT t FROM TmpPayIndividual t WHERE t.motivation = :motivation"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitOverridingFy", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitOverridingFy = :unitOverridingFy"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitOverridingRy", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitOverridingRy = :unitOverridingRy"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitJoining", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitJoining = :unitJoining"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitFixAllow", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitFixAllow = :unitFixAllow"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitActiveFa", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitActiveFa = :unitActiveFa"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitRetention", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitRetention = :unitRetention"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitCareer", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitCareer = :unitCareer"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitExpandTier1", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitExpandTier1 = :unitExpandTier1"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitExpandTier2", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitExpandTier2 = :unitExpandTier2"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitExpandExtra", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitExpandExtra = :unitExpandExtra"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitExpandGroup", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitExpandGroup = :unitExpandGroup"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitBonusQ", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitBonusQ = :unitBonusQ"),
        @NamedQuery(name = "TmpPayIndividual.findByUnitBonusY", query = "SELECT t FROM TmpPayIndividual t WHERE t.unitBonusY = :unitBonusY"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupOverridingFy", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupOverridingFy = :groupOverridingFy"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupOverridingRy", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupOverridingRy = :groupOverridingRy"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupJoining", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupJoining = :groupJoining"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupFixAllow", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupFixAllow = :groupFixAllow"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupRetention", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupRetention = :groupRetention"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupCareer", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupCareer = :groupCareer"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupExpandTier1", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupExpandTier1 = :groupExpandTier1"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupExpandTier2", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupExpandTier2 = :groupExpandTier2"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupBonusQ", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupBonusQ = :groupBonusQ"),
        @NamedQuery(name = "TmpPayIndividual.findByGroupBonusY", query = "SELECT t FROM TmpPayIndividual t WHERE t.groupBonusY = :groupBonusY"),
        @NamedQuery(name = "TmpPayIndividual.findByLineOverriding", query = "SELECT t FROM TmpPayIndividual t WHERE t.lineOverriding = :lineOverriding"),
        @NamedQuery(name = "TmpPayIndividual.findByLineFixAllow", query = "SELECT t FROM TmpPayIndividual t WHERE t.lineFixAllow = :lineFixAllow"),
        @NamedQuery(name = "TmpPayIndividual.findByLineExpandTier1", query = "SELECT t FROM TmpPayIndividual t WHERE t.lineExpandTier1 = :lineExpandTier1"),
        @NamedQuery(name = "TmpPayIndividual.findByLineBonusQ", query = "SELECT t FROM TmpPayIndividual t WHERE t.lineBonusQ = :lineBonusQ"),
        @NamedQuery(name = "TmpPayIndividual.findByLineBonusY", query = "SELECT t FROM TmpPayIndividual t WHERE t.lineBonusY = :lineBonusY"),
        @NamedQuery(name = "TmpPayIndividual.findByOfficeFirstYear", query = "SELECT t FROM TmpPayIndividual t WHERE t.officeFirstYear = :officeFirstYear"),
        @NamedQuery(name = "TmpPayIndividual.findByOfficeRenewalYear", query = "SELECT t FROM TmpPayIndividual t WHERE t.officeRenewalYear = :officeRenewalYear"),
        @NamedQuery(name = "TmpPayIndividual.findByDebt", query = "SELECT t FROM TmpPayIndividual t WHERE t.debt = :debt"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtMotivation", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtMotivation = :debtMotivation"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtFundCom", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtFundCom = :debtFundCom"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtFundUnit", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtFundUnit = :debtFundUnit"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtFundGroup", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtFundGroup = :debtFundGroup"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtCreditFee", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtCreditFee = :debtCreditFee"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtMedical", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtMedical = :debtMedical"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtOther", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtOther = :debtOther"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtShortagePremium", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtShortagePremium = :debtShortagePremium"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtTranferCash", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtTranferCash = :debtTranferCash"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtTranferDebt", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtTranferDebt = :debtTranferDebt"),
        @NamedQuery(name = "TmpPayIndividual.findByDebtReciveDebt", query = "SELECT t FROM TmpPayIndividual t WHERE t.debtReciveDebt = :debtReciveDebt") })
public class TmpPayIndividual implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private Long id;
    @Column(name = "agent_code", length = 50)
    private String agentCode;
    @Column(name = "name", length = 255)
    private String name;
    @Column(name = "agent_level", length = 50)
    private String agentLevel;
    @Column(name = "sm_unit_name", length = 255)
    private String smUnitName;
    @Column(name = "sm_unit_code", length = 50)
    private String smUnitCode;
    @Column(name = "sm_name", length = 255)
    private String smName;
    @Column(name = "sd_name", length = 255)
    private String sdName;
    @Column(name = "esd_name", length = 255)
    private String esdName;
    @Column(name = "agent_office", length = 255)
    private String agentOffice;
    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @Column(name = "income_tax", precision = 18, scale = 2)
    private BigDecimal incomeTax;
    @Column(name = "amount_non_tax", precision = 18, scale = 2)
    private BigDecimal amountNonTax;
    @Column(name = "income_amount_non_tax", precision = 18, scale = 2)
    private BigDecimal incomeAmountNonTax;
    @Column(name = "deduct_amount_non_tax", precision = 18, scale = 2)
    private BigDecimal deductAmountNonTax;
    @Column(name = "amount_fund", precision = 18, scale = 2)
    private BigDecimal amountFund;
    @Column(name = "income_fund", precision = 18, scale = 2)
    private BigDecimal incomeFund;
    @Column(name = "deduct_fund", precision = 18, scale = 2)
    private BigDecimal deductFund;
    @Column(name = "tax", precision = 18, scale = 2)
    private BigDecimal tax;
    @Column(name = "net_income", precision = 18, scale = 2)
    private BigDecimal netIncome;
    @Column(name = "bank_code", length = 50)
    private String bankCode;
    @Column(name = "bank_branch", length = 255)
    private String bankBranch;
    @Column(name = "bank_name", length = 255)
    private String bankName;
    @Column(name = "bank_account", length = 50)
    private String bankAccount;
    @Column(name = "fyc", precision = 18, scale = 2)
    private BigDecimal fyc;
    @Column(name = "ryc", precision = 18, scale = 2)
    private BigDecimal ryc;
    @Column(name = "recruiting", precision = 18, scale = 2)
    private BigDecimal recruiting;
    @Column(name = "fa_retention", precision = 18, scale = 2)
    private BigDecimal faRetention;
    @Column(name = "fa_career", precision = 18, scale = 2)
    private BigDecimal faCareer;
    @Column(name = "fa_bonus_m", precision = 18, scale = 2)
    private BigDecimal faBonusM;
    @Column(name = "fa_bonus_q", precision = 18, scale = 2)
    private BigDecimal faBonusQ;
    @Column(name = "fa_bonus_y", precision = 18, scale = 2)
    private BigDecimal faBonusY;
    @Column(name = "motivation", precision = 18, scale = 2)
    private BigDecimal motivation;
    @Column(name = "unit_overriding_fy", precision = 18, scale = 2)
    private BigDecimal unitOverridingFy;
    @Column(name = "unit_overriding_ry", precision = 18, scale = 2)
    private BigDecimal unitOverridingRy;
    @Column(name = "unit_joining", precision = 18, scale = 2)
    private BigDecimal unitJoining;
    @Column(name = "unit_fix_allow", precision = 18, scale = 2)
    private BigDecimal unitFixAllow;
    @Column(name = "unit_active_fa", precision = 18, scale = 2)
    private BigDecimal unitActiveFa;
    @Column(name = "unit_retention", precision = 18, scale = 2)
    private BigDecimal unitRetention;
    @Column(name = "unit_career", precision = 18, scale = 2)
    private BigDecimal unitCareer;
    @Column(name = "unit_expand_tier1", precision = 18, scale = 2)
    private BigDecimal unitExpandTier1;
    @Column(name = "unit_expand_tier2", precision = 18, scale = 2)
    private BigDecimal unitExpandTier2;
    @Column(name = "unit_expand_extra", precision = 18, scale = 2)
    private BigDecimal unitExpandExtra;
    @Column(name = "unit_expand_group", precision = 18, scale = 2)
    private BigDecimal unitExpandGroup;
    @Column(name = "unit_bonus_q", precision = 18, scale = 2)
    private BigDecimal unitBonusQ;
    @Column(name = "unit_bonus_y", precision = 18, scale = 2)
    private BigDecimal unitBonusY;
    @Column(name = "group_overriding_fy", precision = 18, scale = 2)
    private BigDecimal groupOverridingFy;
    @Column(name = "group_overriding_ry", precision = 18, scale = 2)
    private BigDecimal groupOverridingRy;
    @Column(name = "group_joining", precision = 18, scale = 2)
    private BigDecimal groupJoining;
    @Column(name = "group_fix_allow", precision = 18, scale = 2)
    private BigDecimal groupFixAllow;
    @Column(name = "group_retention", precision = 18, scale = 2)
    private BigDecimal groupRetention;
    @Column(name = "group_career", precision = 18, scale = 2)
    private BigDecimal groupCareer;
    @Column(name = "group_expand_tier1", precision = 18, scale = 2)
    private BigDecimal groupExpandTier1;
    @Column(name = "group_expand_tier2", precision = 18, scale = 2)
    private BigDecimal groupExpandTier2;
    @Column(name = "group_bonus_q", precision = 18, scale = 2)
    private BigDecimal groupBonusQ;
    @Column(name = "group_bonus_y", precision = 18, scale = 2)
    private BigDecimal groupBonusY;
    @Column(name = "line_overriding", precision = 18, scale = 2)
    private BigDecimal lineOverriding;
    @Column(name = "line_fix_allow", precision = 18, scale = 2)
    private BigDecimal lineFixAllow;
    @Column(name = "line_expand_tier1", precision = 18, scale = 2)
    private BigDecimal lineExpandTier1;
    @Column(name = "line_bonus_q", precision = 18, scale = 2)
    private BigDecimal lineBonusQ;
    @Column(name = "line_bonus_y", precision = 18, scale = 2)
    private BigDecimal lineBonusY;
    @Column(name = "office_first_year", precision = 18, scale = 2)
    private BigDecimal officeFirstYear;
    @Column(name = "office_renewal_year", precision = 18, scale = 2)
    private BigDecimal officeRenewalYear;
    @Column(name = "debt", precision = 18, scale = 2)
    private BigDecimal debt;
    @Column(name = "debt_motivation", precision = 18, scale = 2)
    private BigDecimal debtMotivation;
    @Column(name = "debt_fund_com", precision = 18, scale = 2)
    private BigDecimal debtFundCom;
    @Column(name = "debt_fund_unit", precision = 18, scale = 2)
    private BigDecimal debtFundUnit;
    @Column(name = "debt_fund_group", precision = 18, scale = 2)
    private BigDecimal debtFundGroup;
    @Column(name = "debt_credit_fee", precision = 18, scale = 2)
    private BigDecimal debtCreditFee;
    @Column(name = "debt_medical", precision = 18, scale = 2)
    private BigDecimal debtMedical;
    @Column(name = "debt_other", precision = 18, scale = 2)
    private BigDecimal debtOther;
    @Column(name = "debt_shortage_premium", precision = 18, scale = 2)
    private BigDecimal debtShortagePremium;
    @Column(name = "debt_tranfer_cash", precision = 18, scale = 2)
    private BigDecimal debtTranferCash;
    @Column(name = "debt_tranfer_debt", precision = 18, scale = 2)
    private BigDecimal debtTranferDebt;
    @Column(name = "debt_recive_debt", precision = 18, scale = 2)
    private BigDecimal debtReciveDebt;
    @Column(name = "no")
    private Integer no;
    @Column(name = "paid_date")
    private Integer paidDate;
    @Column(name = "group_building", precision = 18, scale = 2)
    private BigDecimal groupBuilding;

    public TmpPayIndividual() {
    }

    public TmpPayIndividual(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAgentCode() {
        return agentCode;
    }

    public void setAgentCode(String agentCode) {
        this.agentCode = agentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAgentLevel() {
        return agentLevel;
    }

    public void setAgentLevel(String agentLevel) {
        this.agentLevel = agentLevel;
    }

    public String getSmUnitName() {
        return smUnitName;
    }

    public void setSmUnitName(String smUnitName) {
        this.smUnitName = smUnitName;
    }

    public String getSmUnitCode() {
        return smUnitCode;
    }

    public void setSmUnitCode(String smUnitCode) {
        this.smUnitCode = smUnitCode;
    }

    public String getSmName() {
        return smName;
    }

    public void setSmName(String smName) {
        this.smName = smName;
    }

    public String getSdName() {
        return sdName;
    }

    public void setSdName(String sdName) {
        this.sdName = sdName;
    }

    public String getEsdName() {
        return esdName;
    }

    public void setEsdName(String esdName) {
        this.esdName = esdName;
    }

    public String getAgentOffice() {
        return agentOffice;
    }

    public void setAgentOffice(String agentOffice) {
        this.agentOffice = agentOffice;
    }

    public BigDecimal getIncomeTax() {
        return incomeTax;
    }

    public void setIncomeTax(BigDecimal incomeTax) {
        this.incomeTax = incomeTax;
    }

    public BigDecimal getAmountNonTax() {
        return amountNonTax;
    }

    public void setAmountNonTax(BigDecimal amountNonTax) {
        this.amountNonTax = amountNonTax;
    }

    public BigDecimal getIncomeAmountNonTax() {
        return incomeAmountNonTax;
    }

    public void setIncomeAmountNonTax(BigDecimal incomeAmountNonTax) {
        this.incomeAmountNonTax = incomeAmountNonTax;
    }

    public BigDecimal getDeductAmountNonTax() {
        return deductAmountNonTax;
    }

    public void setDeductAmountNonTax(BigDecimal deductAmountNonTax) {
        this.deductAmountNonTax = deductAmountNonTax;
    }

    public BigDecimal getAmountFund() {
        return amountFund;
    }

    public void setAmountFund(BigDecimal amountFund) {
        this.amountFund = amountFund;
    }

    public BigDecimal getIncomeFund() {
        return incomeFund;
    }

    public void setIncomeFund(BigDecimal incomeFund) {
        this.incomeFund = incomeFund;
    }

    public BigDecimal getDeductFund() {
        return deductFund;
    }

    public void setDeductFund(BigDecimal deductFund) {
        this.deductFund = deductFund;
    }

    public BigDecimal getTax() {
        return tax;
    }

    public void setTax(BigDecimal tax) {
        this.tax = tax;
    }

    public BigDecimal getNetIncome() {
        return netIncome;
    }

    public void setNetIncome(BigDecimal netIncome) {
        this.netIncome = netIncome;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public BigDecimal getFyc() {
        return fyc;
    }

    public void setFyc(BigDecimal fyc) {
        this.fyc = fyc;
    }

    public BigDecimal getRyc() {
        return ryc;
    }

    public void setRyc(BigDecimal ryc) {
        this.ryc = ryc;
    }

    public BigDecimal getRecruiting() {
        return recruiting;
    }

    public void setRecruiting(BigDecimal recruiting) {
        this.recruiting = recruiting;
    }

    public BigDecimal getFaRetention() {
        return faRetention;
    }

    public void setFaRetention(BigDecimal faRetention) {
        this.faRetention = faRetention;
    }

    public BigDecimal getFaCareer() {
        return faCareer;
    }

    public void setFaCareer(BigDecimal faCareer) {
        this.faCareer = faCareer;
    }

    public BigDecimal getFaBonusM() {
        return faBonusM;
    }

    public void setFaBonusM(BigDecimal faBonusM) {
        this.faBonusM = faBonusM;
    }

    public BigDecimal getFaBonusQ() {
        return faBonusQ;
    }

    public void setFaBonusQ(BigDecimal faBonusQ) {
        this.faBonusQ = faBonusQ;
    }

    public BigDecimal getFaBonusY() {
        return faBonusY;
    }

    public void setFaBonusY(BigDecimal faBonusY) {
        this.faBonusY = faBonusY;
    }

    public BigDecimal getMotivation() {
        return motivation;
    }

    public void setMotivation(BigDecimal motivation) {
        this.motivation = motivation;
    }

    public BigDecimal getUnitOverridingFy() {
        return unitOverridingFy;
    }

    public void setUnitOverridingFy(BigDecimal unitOverridingFy) {
        this.unitOverridingFy = unitOverridingFy;
    }

    public BigDecimal getUnitOverridingRy() {
        return unitOverridingRy;
    }

    public void setUnitOverridingRy(BigDecimal unitOverridingRy) {
        this.unitOverridingRy = unitOverridingRy;
    }

    public BigDecimal getUnitJoining() {
        return unitJoining;
    }

    public void setUnitJoining(BigDecimal unitJoining) {
        this.unitJoining = unitJoining;
    }

    public BigDecimal getUnitFixAllow() {
        return unitFixAllow;
    }

    public void setUnitFixAllow(BigDecimal unitFixAllow) {
        this.unitFixAllow = unitFixAllow;
    }

    public BigDecimal getUnitActiveFa() {
        return unitActiveFa;
    }

    public void setUnitActiveFa(BigDecimal unitActiveFa) {
        this.unitActiveFa = unitActiveFa;
    }

    public BigDecimal getUnitRetention() {
        return unitRetention;
    }

    public void setUnitRetention(BigDecimal unitRetention) {
        this.unitRetention = unitRetention;
    }

    public BigDecimal getUnitCareer() {
        return unitCareer;
    }

    public void setUnitCareer(BigDecimal unitCareer) {
        this.unitCareer = unitCareer;
    }

    public BigDecimal getUnitExpandTier1() {
        return unitExpandTier1;
    }

    public void setUnitExpandTier1(BigDecimal unitExpandTier1) {
        this.unitExpandTier1 = unitExpandTier1;
    }

    public BigDecimal getUnitExpandTier2() {
        return unitExpandTier2;
    }

    public void setUnitExpandTier2(BigDecimal unitExpandTier2) {
        this.unitExpandTier2 = unitExpandTier2;
    }

    public BigDecimal getUnitExpandExtra() {
        return unitExpandExtra;
    }

    public void setUnitExpandExtra(BigDecimal unitExpandExtra) {
        this.unitExpandExtra = unitExpandExtra;
    }

    public BigDecimal getUnitExpandGroup() {
        return unitExpandGroup;
    }

    public void setUnitExpandGroup(BigDecimal unitExpandGroup) {
        this.unitExpandGroup = unitExpandGroup;
    }

    public BigDecimal getUnitBonusQ() {
        return unitBonusQ;
    }

    public void setUnitBonusQ(BigDecimal unitBonusQ) {
        this.unitBonusQ = unitBonusQ;
    }

    public BigDecimal getUnitBonusY() {
        return unitBonusY;
    }

    public void setUnitBonusY(BigDecimal unitBonusY) {
        this.unitBonusY = unitBonusY;
    }

    public BigDecimal getGroupOverridingFy() {
        return groupOverridingFy;
    }

    public void setGroupOverridingFy(BigDecimal groupOverridingFy) {
        this.groupOverridingFy = groupOverridingFy;
    }

    public BigDecimal getGroupOverridingRy() {
        return groupOverridingRy;
    }

    public void setGroupOverridingRy(BigDecimal groupOverridingRy) {
        this.groupOverridingRy = groupOverridingRy;
    }

    public BigDecimal getGroupJoining() {
        return groupJoining;
    }

    public void setGroupJoining(BigDecimal groupJoining) {
        this.groupJoining = groupJoining;
    }

    public BigDecimal getGroupFixAllow() {
        return groupFixAllow;
    }

    public void setGroupFixAllow(BigDecimal groupFixAllow) {
        this.groupFixAllow = groupFixAllow;
    }

    public BigDecimal getGroupRetention() {
        return groupRetention;
    }

    public void setGroupRetention(BigDecimal groupRetention) {
        this.groupRetention = groupRetention;
    }

    public BigDecimal getGroupCareer() {
        return groupCareer;
    }

    public void setGroupCareer(BigDecimal groupCareer) {
        this.groupCareer = groupCareer;
    }

    public BigDecimal getGroupExpandTier1() {
        return groupExpandTier1;
    }

    public void setGroupExpandTier1(BigDecimal groupExpandTier1) {
        this.groupExpandTier1 = groupExpandTier1;
    }

    public BigDecimal getGroupExpandTier2() {
        return groupExpandTier2;
    }

    public void setGroupExpandTier2(BigDecimal groupExpandTier2) {
        this.groupExpandTier2 = groupExpandTier2;
    }

    public BigDecimal getGroupBonusQ() {
        return groupBonusQ;
    }

    public void setGroupBonusQ(BigDecimal groupBonusQ) {
        this.groupBonusQ = groupBonusQ;
    }

    public BigDecimal getGroupBonusY() {
        return groupBonusY;
    }

    public void setGroupBonusY(BigDecimal groupBonusY) {
        this.groupBonusY = groupBonusY;
    }

    public BigDecimal getLineOverriding() {
        return lineOverriding;
    }

    public void setLineOverriding(BigDecimal lineOverriding) {
        this.lineOverriding = lineOverriding;
    }

    public BigDecimal getLineFixAllow() {
        return lineFixAllow;
    }

    public void setLineFixAllow(BigDecimal lineFixAllow) {
        this.lineFixAllow = lineFixAllow;
    }

    public BigDecimal getLineExpandTier1() {
        return lineExpandTier1;
    }

    public void setLineExpandTier1(BigDecimal lineExpandTier1) {
        this.lineExpandTier1 = lineExpandTier1;
    }

    public BigDecimal getLineBonusQ() {
        return lineBonusQ;
    }

    public void setLineBonusQ(BigDecimal lineBonusQ) {
        this.lineBonusQ = lineBonusQ;
    }

    public BigDecimal getLineBonusY() {
        return lineBonusY;
    }

    public void setLineBonusY(BigDecimal lineBonusY) {
        this.lineBonusY = lineBonusY;
    }

    public BigDecimal getOfficeFirstYear() {
        return officeFirstYear;
    }

    public void setOfficeFirstYear(BigDecimal officeFirstYear) {
        this.officeFirstYear = officeFirstYear;
    }

    public BigDecimal getOfficeRenewalYear() {
        return officeRenewalYear;
    }

    public void setOfficeRenewalYear(BigDecimal officeRenewalYear) {
        this.officeRenewalYear = officeRenewalYear;
    }

    public BigDecimal getDebt() {
        return debt;
    }

    public void setDebt(BigDecimal debt) {
        this.debt = debt;
    }

    public BigDecimal getDebtMotivation() {
        return debtMotivation;
    }

    public void setDebtMotivation(BigDecimal debtMotivation) {
        this.debtMotivation = debtMotivation;
    }

    public BigDecimal getDebtFundCom() {
        return debtFundCom;
    }

    public void setDebtFundCom(BigDecimal debtFundCom) {
        this.debtFundCom = debtFundCom;
    }

    public BigDecimal getDebtFundUnit() {
        return debtFundUnit;
    }

    public void setDebtFundUnit(BigDecimal debtFundUnit) {
        this.debtFundUnit = debtFundUnit;
    }

    public BigDecimal getDebtFundGroup() {
        return debtFundGroup;
    }

    public void setDebtFundGroup(BigDecimal debtFundGroup) {
        this.debtFundGroup = debtFundGroup;
    }

    public BigDecimal getDebtCreditFee() {
        return debtCreditFee;
    }

    public void setDebtCreditFee(BigDecimal debtCreditFee) {
        this.debtCreditFee = debtCreditFee;
    }

    public BigDecimal getDebtMedical() {
        return debtMedical;
    }

    public void setDebtMedical(BigDecimal debtMedical) {
        this.debtMedical = debtMedical;
    }

    public BigDecimal getDebtOther() {
        return debtOther;
    }

    public void setDebtOther(BigDecimal debtOther) {
        this.debtOther = debtOther;
    }

    public BigDecimal getDebtShortagePremium() {
        return debtShortagePremium;
    }

    public void setDebtShortagePremium(BigDecimal debtShortagePremium) {
        this.debtShortagePremium = debtShortagePremium;
    }

    public BigDecimal getDebtTranferCash() {
        return debtTranferCash;
    }

    public void setDebtTranferCash(BigDecimal debtTranferCash) {
        this.debtTranferCash = debtTranferCash;
    }

    public BigDecimal getDebtTranferDebt() {
        return debtTranferDebt;
    }

    public void setDebtTranferDebt(BigDecimal debtTranferDebt) {
        this.debtTranferDebt = debtTranferDebt;
    }

    public BigDecimal getDebtReciveDebt() {
        return debtReciveDebt;
    }

    public void setDebtReciveDebt(BigDecimal debtReciveDebt) {
        this.debtReciveDebt = debtReciveDebt;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TmpPayIndividual)) {
            return false;
        }
        TmpPayIndividual other = (TmpPayIndividual) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.b3.rbl.compensation.db.entity.TmpPayIndividual[ id=" + id + " ]";
    }

    /**
     * @return Integer return the no
     */
    public Integer getNo() {
        return no;
    }

    /**
     * @param no the no to set
     */
    public void setNo(Integer no) {
        this.no = no;
    }

    /**
     * @return Integer return the paidDate
     */
    public Integer getPaidDate() {
        return paidDate;
    }

    /**
     * @param paidDate the paidDate to set
     */
    public void setPaidDate(Integer paidDate) {
        this.paidDate = paidDate;
    }

    /**
     * @return BigDecimal return the groupBuilding
     */
    public BigDecimal getGroupBuilding() {
        return groupBuilding;
    }

    /**
     * @param groupBuilding the groupBuilding to set
     */
    public void setGroupBuilding(BigDecimal groupBuilding) {
        this.groupBuilding = groupBuilding;
    }

}
