package com.b3.rbl.compensation.db.repository;

import java.util.List;
import java.util.UUID;

import org.springframework.stereotype.Repository;

import com.b3.rbl.compensation.db.entity.RblSchedule;
import org.springframework.data.repository.CrudRepository;

@Repository
public interface RblScheduleRepository extends CrudRepository<RblSchedule, UUID> {
    public List<RblSchedule> findAllByOrderByPaymentDateAsc();

    public RblSchedule findByPeriodId(String periodId);
}
