package com.b3.rbl.compensation.db.repository;

import com.b3.rbl.compensation.db.entity.TmpDebtCompany;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface TmpDeptCompanyRepository extends CrudRepository<TmpDebtCompany, Long> {

    @Modifying
    @Transactional
    @Query(value = "DELETE FROM compensation.tmp_debt_company WHERE  paid_date = :paidDate", nativeQuery = true)
    public void deleteByPaidDate(@Param("paidDate") Integer paidDate);

}
