package com.b3.rbl.onedrive;

import java.io.IOException;
import java.util.Properties;
import org.springframework.context.annotation.Configuration;

import org.springframework.context.annotation.Bean;

import com.b3.rbl.onedrive.client.Client;

@Configuration
public class OneDriveConfig {

    @Bean()
    public Client onedriveClient() {
        System.out.println("xxxxxxxxxxxxxxxxxxxxxxxxx");

        final Properties oAuthProperties = new Properties();
        try {
            oAuthProperties
                    .load(OneDriveConfig.class.getClassLoader().getResourceAsStream("onedrive.oauth.properties"));

        } catch (IOException e) {
            System.out.println(
                    "Unable to read OAuth configuration. Make sure you have a properly formatted oAuth.properties file. See README for details.");
        }
        System.out.println(oAuthProperties);
        Client client = new Client(oAuthProperties.get("client_id").toString(),
                oAuthProperties.get("scope").toString().split(","),
                oAuthProperties.get("redirect_url").toString(),
                oAuthProperties.get("client_secret").toString(),
                oAuthProperties.get("access_token").toString(),
                oAuthProperties.get("refresh_token").toString(),
                oAuthProperties.get("token_type").toString(),
                Long.parseLong(oAuthProperties.get("expires_in").toString()));

        // client.getRefreshToken();

        // System.out.println(client.getAccessToken());
        // System.out.println("xssssssssssssssssssssssssssssssssss");
        // System.out.println(client.getRefreshToken());

        // System.out.println(client.getExpirationTime());
        // System.out.println(new Date(client.getExpirationTime()));
        return client;
    }
}
