package com.b3.rbl.compensation.db;

import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@Configuration
@EnableTransactionManagement
@EntityScan(basePackages = { "com.b3.rbl.compensation.db.entity" })
@EnableJpaRepositories(basePackages = { "com.b3.rbl.compensation.db.repository" })
public class ApiDatabaseConfig {

}
