/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.UUID;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 *
 * @author user
 */
@Entity
@Table(name = "ag_policy_master", catalog = "", schema = "", uniqueConstraints = {
        @UniqueConstraint(columnNames = { "policy_no" }) })
public class AgPolicyMaster implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private String id;
    @Column(name = "ag_customer_name", length = 18)
    private String agCustomerName;
    @Column(name = "ag_policy_renewal", length = 18)
    private String agPolicyRenewal;
    @Column(name = "agent_current_code", length = 50)
    private String agentCurrentCode;
    @Column(name = "agent_current_level", length = 50)
    private String agentCurrentLevel;
    @Column(name = "agent_current_name", length = 50)
    private String agentCurrentName;
    @Column(name = "agent_producing_backup", length = 18)
    private String agentProducingBackup;
    @Column(name = "agent_producing_backup_user", length = 18)
    private String agentProducingBackupUser;
    @Column(name = "agent_producing_policy", length = 18)
    private String agentProducingPolicy;
    @Column(name = "agent_producing_visibility")
    private Boolean agentProducingVisibility;
    @Column(name = "agent_producting", length = 18)
    private String agentProducting;
    @Column(name = "agent_producting_user", length = 18)
    private String agentProductingUser;
    @Column(name = "agent_selling_code", length = 50)
    private String agentSellingCode;
    @Column(name = "agent_selling_level", length = 50)
    private String agentSellingLevel;
    @Column(name = "agent_selling_name", length = 50)
    private String agentSellingName;
    @Column(name = "agent_servicing", length = 18)
    private String agentServicing;
    @Column(name = "agent_servicing_backup", length = 18)
    private String agentServicingBackup;
    @Column(name = "agent_servicing_backup_user", length = 18)
    private String agentServicingBackupUser;
    @Column(name = "agent_servicing_policy", length = 18)
    private String agentServicingPolicy;
    @Column(name = "agent_servicing_user", length = 18)
    private String agentServicingUser;
    @Column(name = "agent_servicing_user_isactive")
    private Boolean agentServicingUserIsactive;
    @Column(name = "agent_servicing_visibility")
    private Boolean agentServicingVisibility;
    @Column(name = "createdbyid", length = 18)
    private String createdbyid;
    @Column(name = "createddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createddate;
    @Column(name = "customer_gender", length = 1)
    private String customerGender;
    @Column(name = "customer_id_card", length = 13)
    private String customerIdCard;
    @Column(name = "customer_id_card_hyperlink", length = 2147483647)
    private String customerIdCardHyperlink;
    @Column(name = "customer_name", length = 50)
    private String customerName;
    @Column(name = "customer_name_formula", length = 2147483647)
    private String customerNameFormula;
    @Column(name = "esd_agent_backup_current_code", length = 50)
    private String esdAgentBackupCurrentCode;
    @Column(name = "esd_agent_backup_current_unit", length = 50)
    private String esdAgentBackupCurrentUnit;
    @Column(name = "esd_agent_backup_current_unit_name", length = 100)
    private String esdAgentBackupCurrentUnitName;
    @Column(name = "esd_agent_backup_selling_code", length = 50)
    private String esdAgentBackupSellingCode;
    @Column(name = "esd_agent_backup_selling_unit", length = 50)
    private String esdAgentBackupSellingUnit;
    @Column(name = "esd_agent_backup_selling_unit_name", length = 100)
    private String esdAgentBackupSellingUnitName;
    @Column(name = "esd_agent_code", length = 50)
    private String esdAgentCode;
    @Column(name = "esd_agent_current_code", length = 50)
    private String esdAgentCurrentCode;
    @Column(name = "esd_agent_current_name", length = 255)
    private String esdAgentCurrentName;
    @Column(name = "esd_agent_current_unit", length = 50)
    private String esdAgentCurrentUnit;
    @Column(name = "esd_agent_current_unit_name", length = 50)
    private String esdAgentCurrentUnitName;
    @Column(name = "esd_agent_name", length = 255)
    private String esdAgentName;
    @Column(name = "esd_agent_name_formula", length = 1300)
    private String esdAgentNameFormula;
    @Column(name = "esd_agent_team_information", length = 1300)
    private String esdAgentTeamInformation;
    @Column(name = "esd_agent_unit", length = 50)
    private String esdAgentUnit;
    @Column(name = "esd_agent_unit_name", length = 50)
    private String esdAgentUnitName;
    @Column(name = "esd_agent_unit_name_formula", length = 1300)
    private String esdAgentUnitNameFormula;
    @Column(name = "esd_name_formula", length = 1300)
    private String esdNameFormula;
    @Column(name = "fulfillment_receive_date")
    @Temporal(TemporalType.DATE)
    private Date fulfillmentReceiveDate;
    @Column(name = "fulfillment_send_date")
    @Temporal(TemporalType.DATE)
    private Date fulfillmentSendDate;
    @Column(name = "record_id", length = 18)
    private String recordId;
    @Column(name = "is_policy_premium_year_1")
    private Boolean isPolicyPremiumYear1;
    @Column(name = "is_producing_changed_by_3_profiles")
    private Boolean isProducingChangedBy3Profiles;
    @Column(name = "is_servicing_changed")
    private Boolean isServicingChanged;
    @Column(name = "is_servicing_changed_by_3_profiles")
    private Boolean isServicingChangedBy3Profiles;
    @Column(name = "is_transaction_date_last_13_month")
    private Boolean isTransactionDateLast13Month;
    @Column(name = "is_transaction_date_last_4_month")
    private Boolean isTransactionDateLast4Month;
    @Column(name = "isdeleted")
    private Boolean isdeleted;
    @Column(name = "lastactivitydate")
    @Temporal(TemporalType.DATE)
    private Date lastactivitydate;
    @Column(name = "lastmodifiedbyid", length = 18)
    private String lastmodifiedbyid;
    @Column(name = "lastmodifieddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastmodifieddate;
    @Column(name = "lastreferenceddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastreferenceddate;
    @Column(name = "lastvieweddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastvieweddate;
    @Column(name = "line_agent_backup_current_code", length = 50)
    private String lineAgentBackupCurrentCode;
    @Column(name = "line_agent_backup_current_unit", length = 50)
    private String lineAgentBackupCurrentUnit;
    @Column(name = "line_agent_backup_current_unit_name", length = 100)
    private String lineAgentBackupCurrentUnitName;
    @Column(name = "line_agent_backup_selling_code", length = 50)
    private String lineAgentBackupSellingCode;
    @Column(name = "line_agent_backup_selling_unit", length = 50)
    private String lineAgentBackupSellingUnit;
    @Column(name = "line_agent_backup_selling_unit_name", length = 100)
    private String lineAgentBackupSellingUnitName;
    @Column(name = "line_agent_code", length = 50)
    private String lineAgentCode;
    @Column(name = "line_agent_current_code", length = 50)
    private String lineAgentCurrentCode;
    @Column(name = "line_agent_current_name", length = 255)
    private String lineAgentCurrentName;
    @Column(name = "line_agent_current_unit", length = 50)
    private String lineAgentCurrentUnit;
    @Column(name = "line_agent_current_unit_name", length = 50)
    private String lineAgentCurrentUnitName;
    @Column(name = "line_agent_name", length = 255)
    private String lineAgentName;
    @Column(name = "line_agent_unit", length = 50)
    private String lineAgentUnit;
    @Column(name = "line_agent_unit_name", length = 50)
    private String lineAgentUnitName;
    @Column(name = "must_calculate")
    private Boolean mustCalculate;
    @Column(name = "name", length = 80)
    private String name;
    @Column(name = "ownerid", length = 18)
    private String ownerid;
    @Column(name = "pending_letter_link", length = 255)
    private String pendingLetterLink;
    @Column(name = "pending_reject_reason", length = 2147483647)
    private String pendingRejectReason;
    @Column(name = "policy_acknowledgement_code", length = 15)
    private String policyAcknowledgementCode;
    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @Column(name = "policy_base_afyp", precision = 10, scale = 2)
    private BigDecimal policyBaseAfyp;
    @Column(name = "policy_base_fyp", precision = 10, scale = 2)
    private BigDecimal policyBaseFyp;
    @Column(name = "policy_base_ryp", precision = 10, scale = 2)
    private BigDecimal policyBaseRyp;
    @Column(name = "policy_channel", length = 50)
    private String policyChannel;
    @Column(name = "policy_coverage_term")
    private Short policyCoverageTerm;
    @Column(name = "policy_effective_date")
    @Temporal(TemporalType.DATE)
    private Date policyEffectiveDate;
    @Column(name = "policy_fully_paid", length = 50)
    private String policyFullyPaid;
    @Column(name = "policy_issue_age")
    private Short policyIssueAge;
    @Column(name = "policy_issue_date")
    @Temporal(TemporalType.DATE)
    private Date policyIssueDate;
    @Column(name = "policy_maturity_date")
    @Temporal(TemporalType.DATE)
    private Date policyMaturityDate;
    @Column(name = "policy_no", length = 50)
    private String policyNo;
    @Column(name = "policy_no_formula", length = 2147483647)
    private String policyNoFormula;
    @Column(name = "policy_payment_method", length = 50)
    private String policyPaymentMethod;
    @Column(name = "policy_payment_method_name", length = 50)
    private String policyPaymentMethodName;
    @Column(name = "policy_payment_mode", length = 50)
    private String policyPaymentMode;
    @Column(name = "policy_payment_mode_name", length = 50)
    private String policyPaymentModeName;
    @Column(name = "policy_payment_status_code", length = 50)
    private String policyPaymentStatusCode;
    @Column(name = "policy_payment_status_name", length = 50)
    private String policyPaymentStatusName;
    @Column(name = "policy_payment_term")
    private Short policyPaymentTerm;
    @Column(name = "policy_plan_code", length = 50)
    private String policyPlanCode;
    @Column(name = "policy_premium_base_amount", precision = 18, scale = 2)
    private BigDecimal policyPremiumBaseAmount;
    @Column(name = "policy_premium_due_date")
    @Temporal(TemporalType.DATE)
    private Date policyPremiumDueDate;
    @Column(name = "policy_premium_due_date_after45_days")
    @Temporal(TemporalType.DATE)
    private Date policyPremiumDueDateAfter45Days;
    @Column(name = "policy_premium_due_date_before30_days")
    @Temporal(TemporalType.DATE)
    private Date policyPremiumDueDateBefore30Days;
    @Column(name = "policy_premium_due_date_is_after30_days")
    private Boolean policyPremiumDueDateIsAfter30Days;
    @Column(name = "policy_premium_due_date_is_before30_days")
    private Boolean policyPremiumDueDateIsBefore30Days;
    @Column(name = "policy_premium_period", length = 16)
    private String policyPremiumPeriod;
    @Column(name = "policy_premium_rider_amount", precision = 18, scale = 2)
    private BigDecimal policyPremiumRiderAmount;
    @Column(name = "policy_premium_total_amount", precision = 18, scale = 2)
    private BigDecimal policyPremiumTotalAmount;
    @Column(name = "policy_premium_year")
    private Integer policyPremiumYear;
    @Column(name = "policy_product_type", length = 50)
    private String policyProductType;
    @Column(name = "policy_rider_afyp", precision = 18, scale = 2)
    private BigDecimal policyRiderAfyp;
    @Column(name = "policy_rider_fyp", precision = 18, scale = 2)
    private BigDecimal policyRiderFyp;
    @Column(name = "policy_rider_ryp", precision = 18, scale = 2)
    private BigDecimal policyRiderRyp;
    @Column(name = "policy_status_code", length = 50)
    private String policyStatusCode;
    @Column(name = "policy_status_name", length = 40)
    private String policyStatusName;
    @Column(name = "policy_status_name_grouping", length = 40)
    private String policyStatusNameGrouping;
    @Column(name = "policy_submit_date")
    @Temporal(TemporalType.DATE)
    private Date policySubmitDate;
    @Column(name = "policy_sum_assure_base", precision = 18, scale = 2)
    private BigDecimal policySumAssureBase;
    @Column(name = "policy_sum_assure_rider", precision = 18, scale = 2)
    private BigDecimal policySumAssureRider;
    @Column(name = "policy_sum_assure_total", precision = 18, scale = 2)
    private BigDecimal policySumAssureTotal;
    @Column(name = "policy_terminate_date")
    @Temporal(TemporalType.DATE)
    private Date policyTerminateDate;
    @Column(name = "policy_total_afyp", precision = 18, scale = 2)
    private BigDecimal policyTotalAfyp;
    @Column(name = "policy_total_fyp", precision = 18, scale = 2)
    private BigDecimal policyTotalFyp;
    @Column(name = "policy_total_ryp", precision = 18, scale = 2)
    private BigDecimal policyTotalRyp;
    @Column(name = "sd_agent_backup_current_code", length = 50)
    private String sdAgentBackupCurrentCode;
    @Column(name = "sd_agent_backup_current_unit", length = 50)
    private String sdAgentBackupCurrentUnit;
    @Column(name = "sd_agent_backup_current_unit_name", length = 100)
    private String sdAgentBackupCurrentUnitName;
    @Column(name = "sd_agent_backup_selling_code", length = 50)
    private String sdAgentBackupSellingCode;
    @Column(name = "sd_agent_backup_selling_unit", length = 50)
    private String sdAgentBackupSellingUnit;
    @Column(name = "sd_agent_backup_selling_unit_name", length = 100)
    private String sdAgentBackupSellingUnitName;
    @Column(name = "sd_agent_code", length = 50)
    private String sdAgentCode;
    @Column(name = "sd_agent_current_code", length = 50)
    private String sdAgentCurrentCode;
    @Column(name = "sd_agent_current_name", length = 255)
    private String sdAgentCurrentName;
    @Column(name = "sd_agent_current_unit", length = 50)
    private String sdAgentCurrentUnit;
    @Column(name = "sd_agent_current_unit_name", length = 50)
    private String sdAgentCurrentUnitName;
    @Column(name = "sd_agent_name", length = 255)
    private String sdAgentName;
    @Column(name = "sd_agent_team_information", length = 1300)
    private String sdAgentTeamInformation;
    @Column(name = "sd_agent_unit", length = 50)
    private String sdAgentUnit;
    @Column(name = "sd_agent_unit_name", length = 50)
    private String sdAgentUnitName;
    @Column(name = "sd_agent_unit_name_formula", length = 1300)
    private String sdAgentUnitNameFormula;
    @Column(name = "send_email_memo", length = 2147483647)
    private String sendEmailMemo;
    @Column(name = "sm_agent_backup_current_code", length = 50)
    private String smAgentBackupCurrentCode;
    @Column(name = "sm_agent_backup_current_unit", length = 50)
    private String smAgentBackupCurrentUnit;
    @Column(name = "sm_agent_backup_current_unit_name", length = 100)
    private String smAgentBackupCurrentUnitName;
    @Column(name = "sm_agent_backup_selling_code", length = 50)
    private String smAgentBackupSellingCode;
    @Column(name = "sm_agent_backup_selling_unit", length = 50)
    private String smAgentBackupSellingUnit;
    @Column(name = "sm_agent_backup_selling_unit_name", length = 100)
    private String smAgentBackupSellingUnitName;
    @Column(name = "sm_agent_code", length = 50)
    private String smAgentCode;
    @Column(name = "sm_agent_current_code", length = 50)
    private String smAgentCurrentCode;
    @Column(name = "sm_agent_current_name", length = 255)
    private String smAgentCurrentName;
    @Column(name = "sm_agent_current_unit", length = 50)
    private String smAgentCurrentUnit;
    @Column(name = "sm_agent_current_unit_name", length = 50)
    private String smAgentCurrentUnitName;
    @Column(name = "sm_agent_name", length = 255)
    private String smAgentName;
    @Column(name = "sm_agent_team_information", length = 1300)
    private String smAgentTeamInformation;
    @Column(name = "sm_agent_unit", length = 50)
    private String smAgentUnit;
    @Column(name = "sm_agent_unit_name", length = 50)
    private String smAgentUnitName;
    @Column(name = "sm_agent_unit_name_formula", length = 1300)
    private String smAgentUnitNameFormula;
    @Column(name = "systemmodstamp")
    @Temporal(TemporalType.TIMESTAMP)
    private Date systemmodstamp;
    @Column(name = "team_visibility")
    private Boolean teamVisibility;
    @Column(name = "transaction_date")
    @Temporal(TemporalType.DATE)
    private Date transactionDate;
    @Column(name = "transaction_date_month", length = 1300)
    private String transactionDateMonth;
    @Column(name = "transaction_date_year", length = 1300)
    private String transactionDateYear;
    @Column(name = "transaction_period", length = 6)
    private String transactionPeriod;
    @Column(name = "transaction_period_month_dashboard", length = 1300)
    private String transactionPeriodMonthDashboard;
    @Column(name = "transaction_period_year_dashboard", length = 1300)
    private String transactionPeriodYearDashboard;

    public AgPolicyMaster() {
    }

    public AgPolicyMaster(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAgCustomerName() {
        return agCustomerName;
    }

    public void setAgCustomerName(String agCustomerName) {
        this.agCustomerName = agCustomerName;
    }

    public String getAgPolicyRenewal() {
        return agPolicyRenewal;
    }

    public void setAgPolicyRenewal(String agPolicyRenewal) {
        this.agPolicyRenewal = agPolicyRenewal;
    }

    public String getAgentCurrentCode() {
        return agentCurrentCode;
    }

    public void setAgentCurrentCode(String agentCurrentCode) {
        this.agentCurrentCode = agentCurrentCode;
    }

    public String getAgentCurrentLevel() {
        return agentCurrentLevel;
    }

    public void setAgentCurrentLevel(String agentCurrentLevel) {
        this.agentCurrentLevel = agentCurrentLevel;
    }

    public String getAgentCurrentName() {
        return agentCurrentName;
    }

    public void setAgentCurrentName(String agentCurrentName) {
        this.agentCurrentName = agentCurrentName;
    }

    public String getAgentProducingBackup() {
        return agentProducingBackup;
    }

    public void setAgentProducingBackup(String agentProducingBackup) {
        this.agentProducingBackup = agentProducingBackup;
    }

    public String getAgentProducingBackupUser() {
        return agentProducingBackupUser;
    }

    public void setAgentProducingBackupUser(String agentProducingBackupUser) {
        this.agentProducingBackupUser = agentProducingBackupUser;
    }

    public String getAgentProducingPolicy() {
        return agentProducingPolicy;
    }

    public void setAgentProducingPolicy(String agentProducingPolicy) {
        this.agentProducingPolicy = agentProducingPolicy;
    }

    public Boolean getAgentProducingVisibility() {
        return agentProducingVisibility;
    }

    public void setAgentProducingVisibility(Boolean agentProducingVisibility) {
        this.agentProducingVisibility = agentProducingVisibility;
    }

    public String getAgentProducting() {
        return agentProducting;
    }

    public void setAgentProducting(String agentProducting) {
        this.agentProducting = agentProducting;
    }

    public String getAgentProductingUser() {
        return agentProductingUser;
    }

    public void setAgentProductingUser(String agentProductingUser) {
        this.agentProductingUser = agentProductingUser;
    }

    public String getAgentSellingCode() {
        return agentSellingCode;
    }

    public void setAgentSellingCode(String agentSellingCode) {
        this.agentSellingCode = agentSellingCode;
    }

    public String getAgentSellingLevel() {
        return agentSellingLevel;
    }

    public void setAgentSellingLevel(String agentSellingLevel) {
        this.agentSellingLevel = agentSellingLevel;
    }

    public String getAgentSellingName() {
        return agentSellingName;
    }

    public void setAgentSellingName(String agentSellingName) {
        this.agentSellingName = agentSellingName;
    }

    public String getAgentServicing() {
        return agentServicing;
    }

    public void setAgentServicing(String agentServicing) {
        this.agentServicing = agentServicing;
    }

    public String getAgentServicingBackup() {
        return agentServicingBackup;
    }

    public void setAgentServicingBackup(String agentServicingBackup) {
        this.agentServicingBackup = agentServicingBackup;
    }

    public String getAgentServicingBackupUser() {
        return agentServicingBackupUser;
    }

    public void setAgentServicingBackupUser(String agentServicingBackupUser) {
        this.agentServicingBackupUser = agentServicingBackupUser;
    }

    public String getAgentServicingPolicy() {
        return agentServicingPolicy;
    }

    public void setAgentServicingPolicy(String agentServicingPolicy) {
        this.agentServicingPolicy = agentServicingPolicy;
    }

    public String getAgentServicingUser() {
        return agentServicingUser;
    }

    public void setAgentServicingUser(String agentServicingUser) {
        this.agentServicingUser = agentServicingUser;
    }

    public Boolean getAgentServicingUserIsactive() {
        return agentServicingUserIsactive;
    }

    public void setAgentServicingUserIsactive(Boolean agentServicingUserIsactive) {
        this.agentServicingUserIsactive = agentServicingUserIsactive;
    }

    public Boolean getAgentServicingVisibility() {
        return agentServicingVisibility;
    }

    public void setAgentServicingVisibility(Boolean agentServicingVisibility) {
        this.agentServicingVisibility = agentServicingVisibility;
    }

    public String getCreatedbyid() {
        return createdbyid;
    }

    public void setCreatedbyid(String createdbyid) {
        this.createdbyid = createdbyid;
    }

    public Date getCreateddate() {
        return createddate;
    }

    public void setCreateddate(Date createddate) {
        this.createddate = createddate;
    }

    public String getCustomerGender() {
        return customerGender;
    }

    public void setCustomerGender(String customerGender) {
        this.customerGender = customerGender;
    }

    public String getCustomerIdCard() {
        return customerIdCard;
    }

    public void setCustomerIdCard(String customerIdCard) {
        this.customerIdCard = customerIdCard;
    }

    public String getCustomerIdCardHyperlink() {
        return customerIdCardHyperlink;
    }

    public void setCustomerIdCardHyperlink(String customerIdCardHyperlink) {
        this.customerIdCardHyperlink = customerIdCardHyperlink;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerNameFormula() {
        return customerNameFormula;
    }

    public void setCustomerNameFormula(String customerNameFormula) {
        this.customerNameFormula = customerNameFormula;
    }

    public String getEsdAgentBackupCurrentCode() {
        return esdAgentBackupCurrentCode;
    }

    public void setEsdAgentBackupCurrentCode(String esdAgentBackupCurrentCode) {
        this.esdAgentBackupCurrentCode = esdAgentBackupCurrentCode;
    }

    public String getEsdAgentBackupCurrentUnit() {
        return esdAgentBackupCurrentUnit;
    }

    public void setEsdAgentBackupCurrentUnit(String esdAgentBackupCurrentUnit) {
        this.esdAgentBackupCurrentUnit = esdAgentBackupCurrentUnit;
    }

    public String getEsdAgentBackupCurrentUnitName() {
        return esdAgentBackupCurrentUnitName;
    }

    public void setEsdAgentBackupCurrentUnitName(String esdAgentBackupCurrentUnitName) {
        this.esdAgentBackupCurrentUnitName = esdAgentBackupCurrentUnitName;
    }

    public String getEsdAgentBackupSellingCode() {
        return esdAgentBackupSellingCode;
    }

    public void setEsdAgentBackupSellingCode(String esdAgentBackupSellingCode) {
        this.esdAgentBackupSellingCode = esdAgentBackupSellingCode;
    }

    public String getEsdAgentBackupSellingUnit() {
        return esdAgentBackupSellingUnit;
    }

    public void setEsdAgentBackupSellingUnit(String esdAgentBackupSellingUnit) {
        this.esdAgentBackupSellingUnit = esdAgentBackupSellingUnit;
    }

    public String getEsdAgentBackupSellingUnitName() {
        return esdAgentBackupSellingUnitName;
    }

    public void setEsdAgentBackupSellingUnitName(String esdAgentBackupSellingUnitName) {
        this.esdAgentBackupSellingUnitName = esdAgentBackupSellingUnitName;
    }

    public String getEsdAgentCode() {
        return esdAgentCode;
    }

    public void setEsdAgentCode(String esdAgentCode) {
        this.esdAgentCode = esdAgentCode;
    }

    public String getEsdAgentCurrentCode() {
        return esdAgentCurrentCode;
    }

    public void setEsdAgentCurrentCode(String esdAgentCurrentCode) {
        this.esdAgentCurrentCode = esdAgentCurrentCode;
    }

    public String getEsdAgentCurrentName() {
        return esdAgentCurrentName;
    }

    public void setEsdAgentCurrentName(String esdAgentCurrentName) {
        this.esdAgentCurrentName = esdAgentCurrentName;
    }

    public String getEsdAgentCurrentUnit() {
        return esdAgentCurrentUnit;
    }

    public void setEsdAgentCurrentUnit(String esdAgentCurrentUnit) {
        this.esdAgentCurrentUnit = esdAgentCurrentUnit;
    }

    public String getEsdAgentCurrentUnitName() {
        return esdAgentCurrentUnitName;
    }

    public void setEsdAgentCurrentUnitName(String esdAgentCurrentUnitName) {
        this.esdAgentCurrentUnitName = esdAgentCurrentUnitName;
    }

    public String getEsdAgentName() {
        return esdAgentName;
    }

    public void setEsdAgentName(String esdAgentName) {
        this.esdAgentName = esdAgentName;
    }

    public String getEsdAgentNameFormula() {
        return esdAgentNameFormula;
    }

    public void setEsdAgentNameFormula(String esdAgentNameFormula) {
        this.esdAgentNameFormula = esdAgentNameFormula;
    }

    public String getEsdAgentTeamInformation() {
        return esdAgentTeamInformation;
    }

    public void setEsdAgentTeamInformation(String esdAgentTeamInformation) {
        this.esdAgentTeamInformation = esdAgentTeamInformation;
    }

    public String getEsdAgentUnit() {
        return esdAgentUnit;
    }

    public void setEsdAgentUnit(String esdAgentUnit) {
        this.esdAgentUnit = esdAgentUnit;
    }

    public String getEsdAgentUnitName() {
        return esdAgentUnitName;
    }

    public void setEsdAgentUnitName(String esdAgentUnitName) {
        this.esdAgentUnitName = esdAgentUnitName;
    }

    public String getEsdAgentUnitNameFormula() {
        return esdAgentUnitNameFormula;
    }

    public void setEsdAgentUnitNameFormula(String esdAgentUnitNameFormula) {
        this.esdAgentUnitNameFormula = esdAgentUnitNameFormula;
    }

    public String getEsdNameFormula() {
        return esdNameFormula;
    }

    public void setEsdNameFormula(String esdNameFormula) {
        this.esdNameFormula = esdNameFormula;
    }

    public Date getFulfillmentReceiveDate() {
        return fulfillmentReceiveDate;
    }

    public void setFulfillmentReceiveDate(Date fulfillmentReceiveDate) {
        this.fulfillmentReceiveDate = fulfillmentReceiveDate;
    }

    public Date getFulfillmentSendDate() {
        return fulfillmentSendDate;
    }

    public void setFulfillmentSendDate(Date fulfillmentSendDate) {
        this.fulfillmentSendDate = fulfillmentSendDate;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public Boolean getIsPolicyPremiumYear1() {
        return isPolicyPremiumYear1;
    }

    public void setIsPolicyPremiumYear1(Boolean isPolicyPremiumYear1) {
        this.isPolicyPremiumYear1 = isPolicyPremiumYear1;
    }

    public Boolean getIsProducingChangedBy3Profiles() {
        return isProducingChangedBy3Profiles;
    }

    public void setIsProducingChangedBy3Profiles(Boolean isProducingChangedBy3Profiles) {
        this.isProducingChangedBy3Profiles = isProducingChangedBy3Profiles;
    }

    public Boolean getIsServicingChanged() {
        return isServicingChanged;
    }

    public void setIsServicingChanged(Boolean isServicingChanged) {
        this.isServicingChanged = isServicingChanged;
    }

    public Boolean getIsServicingChangedBy3Profiles() {
        return isServicingChangedBy3Profiles;
    }

    public void setIsServicingChangedBy3Profiles(Boolean isServicingChangedBy3Profiles) {
        this.isServicingChangedBy3Profiles = isServicingChangedBy3Profiles;
    }

    public Boolean getIsTransactionDateLast13Month() {
        return isTransactionDateLast13Month;
    }

    public void setIsTransactionDateLast13Month(Boolean isTransactionDateLast13Month) {
        this.isTransactionDateLast13Month = isTransactionDateLast13Month;
    }

    public Boolean getIsTransactionDateLast4Month() {
        return isTransactionDateLast4Month;
    }

    public void setIsTransactionDateLast4Month(Boolean isTransactionDateLast4Month) {
        this.isTransactionDateLast4Month = isTransactionDateLast4Month;
    }

    public Boolean getIsdeleted() {
        return isdeleted;
    }

    public void setIsdeleted(Boolean isdeleted) {
        this.isdeleted = isdeleted;
    }

    public Date getLastactivitydate() {
        return lastactivitydate;
    }

    public void setLastactivitydate(Date lastactivitydate) {
        this.lastactivitydate = lastactivitydate;
    }

    public String getLastmodifiedbyid() {
        return lastmodifiedbyid;
    }

    public void setLastmodifiedbyid(String lastmodifiedbyid) {
        this.lastmodifiedbyid = lastmodifiedbyid;
    }

    public Date getLastmodifieddate() {
        return lastmodifieddate;
    }

    public void setLastmodifieddate(Date lastmodifieddate) {
        this.lastmodifieddate = lastmodifieddate;
    }

    public Date getLastreferenceddate() {
        return lastreferenceddate;
    }

    public void setLastreferenceddate(Date lastreferenceddate) {
        this.lastreferenceddate = lastreferenceddate;
    }

    public Date getLastvieweddate() {
        return lastvieweddate;
    }

    public void setLastvieweddate(Date lastvieweddate) {
        this.lastvieweddate = lastvieweddate;
    }

    public String getLineAgentBackupCurrentCode() {
        return lineAgentBackupCurrentCode;
    }

    public void setLineAgentBackupCurrentCode(String lineAgentBackupCurrentCode) {
        this.lineAgentBackupCurrentCode = lineAgentBackupCurrentCode;
    }

    public String getLineAgentBackupCurrentUnit() {
        return lineAgentBackupCurrentUnit;
    }

    public void setLineAgentBackupCurrentUnit(String lineAgentBackupCurrentUnit) {
        this.lineAgentBackupCurrentUnit = lineAgentBackupCurrentUnit;
    }

    public String getLineAgentBackupCurrentUnitName() {
        return lineAgentBackupCurrentUnitName;
    }

    public void setLineAgentBackupCurrentUnitName(String lineAgentBackupCurrentUnitName) {
        this.lineAgentBackupCurrentUnitName = lineAgentBackupCurrentUnitName;
    }

    public String getLineAgentBackupSellingCode() {
        return lineAgentBackupSellingCode;
    }

    public void setLineAgentBackupSellingCode(String lineAgentBackupSellingCode) {
        this.lineAgentBackupSellingCode = lineAgentBackupSellingCode;
    }

    public String getLineAgentBackupSellingUnit() {
        return lineAgentBackupSellingUnit;
    }

    public void setLineAgentBackupSellingUnit(String lineAgentBackupSellingUnit) {
        this.lineAgentBackupSellingUnit = lineAgentBackupSellingUnit;
    }

    public String getLineAgentBackupSellingUnitName() {
        return lineAgentBackupSellingUnitName;
    }

    public void setLineAgentBackupSellingUnitName(String lineAgentBackupSellingUnitName) {
        this.lineAgentBackupSellingUnitName = lineAgentBackupSellingUnitName;
    }

    public String getLineAgentCode() {
        return lineAgentCode;
    }

    public void setLineAgentCode(String lineAgentCode) {
        this.lineAgentCode = lineAgentCode;
    }

    public String getLineAgentCurrentCode() {
        return lineAgentCurrentCode;
    }

    public void setLineAgentCurrentCode(String lineAgentCurrentCode) {
        this.lineAgentCurrentCode = lineAgentCurrentCode;
    }

    public String getLineAgentCurrentName() {
        return lineAgentCurrentName;
    }

    public void setLineAgentCurrentName(String lineAgentCurrentName) {
        this.lineAgentCurrentName = lineAgentCurrentName;
    }

    public String getLineAgentCurrentUnit() {
        return lineAgentCurrentUnit;
    }

    public void setLineAgentCurrentUnit(String lineAgentCurrentUnit) {
        this.lineAgentCurrentUnit = lineAgentCurrentUnit;
    }

    public String getLineAgentCurrentUnitName() {
        return lineAgentCurrentUnitName;
    }

    public void setLineAgentCurrentUnitName(String lineAgentCurrentUnitName) {
        this.lineAgentCurrentUnitName = lineAgentCurrentUnitName;
    }

    public String getLineAgentName() {
        return lineAgentName;
    }

    public void setLineAgentName(String lineAgentName) {
        this.lineAgentName = lineAgentName;
    }

    public String getLineAgentUnit() {
        return lineAgentUnit;
    }

    public void setLineAgentUnit(String lineAgentUnit) {
        this.lineAgentUnit = lineAgentUnit;
    }

    public String getLineAgentUnitName() {
        return lineAgentUnitName;
    }

    public void setLineAgentUnitName(String lineAgentUnitName) {
        this.lineAgentUnitName = lineAgentUnitName;
    }

    public Boolean getMustCalculate() {
        return mustCalculate;
    }

    public void setMustCalculate(Boolean mustCalculate) {
        this.mustCalculate = mustCalculate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOwnerid() {
        return ownerid;
    }

    public void setOwnerid(String ownerid) {
        this.ownerid = ownerid;
    }

    public String getPendingLetterLink() {
        return pendingLetterLink;
    }

    public void setPendingLetterLink(String pendingLetterLink) {
        this.pendingLetterLink = pendingLetterLink;
    }

    public String getPendingRejectReason() {
        return pendingRejectReason;
    }

    public void setPendingRejectReason(String pendingRejectReason) {
        this.pendingRejectReason = pendingRejectReason;
    }

    public String getPolicyAcknowledgementCode() {
        return policyAcknowledgementCode;
    }

    public void setPolicyAcknowledgementCode(String policyAcknowledgementCode) {
        this.policyAcknowledgementCode = policyAcknowledgementCode;
    }

    public BigDecimal getPolicyBaseAfyp() {
        return policyBaseAfyp;
    }

    public void setPolicyBaseAfyp(BigDecimal policyBaseAfyp) {
        this.policyBaseAfyp = policyBaseAfyp;
    }

    public BigDecimal getPolicyBaseFyp() {
        return policyBaseFyp;
    }

    public void setPolicyBaseFyp(BigDecimal policyBaseFyp) {
        this.policyBaseFyp = policyBaseFyp;
    }

    public BigDecimal getPolicyBaseRyp() {
        return policyBaseRyp;
    }

    public void setPolicyBaseRyp(BigDecimal policyBaseRyp) {
        this.policyBaseRyp = policyBaseRyp;
    }

    public String getPolicyChannel() {
        return policyChannel;
    }

    public void setPolicyChannel(String policyChannel) {
        this.policyChannel = policyChannel;
    }

    public Short getPolicyCoverageTerm() {
        return policyCoverageTerm;
    }

    public void setPolicyCoverageTerm(Short policyCoverageTerm) {
        this.policyCoverageTerm = policyCoverageTerm;
    }

    public Date getPolicyEffectiveDate() {
        return policyEffectiveDate;
    }

    public void setPolicyEffectiveDate(Date policyEffectiveDate) {
        this.policyEffectiveDate = policyEffectiveDate;
    }

    public String getPolicyFullyPaid() {
        return policyFullyPaid;
    }

    public void setPolicyFullyPaid(String policyFullyPaid) {
        this.policyFullyPaid = policyFullyPaid;
    }

    public Short getPolicyIssueAge() {
        return policyIssueAge;
    }

    public void setPolicyIssueAge(Short policyIssueAge) {
        this.policyIssueAge = policyIssueAge;
    }

    public Date getPolicyIssueDate() {
        return policyIssueDate;
    }

    public void setPolicyIssueDate(Date policyIssueDate) {
        this.policyIssueDate = policyIssueDate;
    }

    public Date getPolicyMaturityDate() {
        return policyMaturityDate;
    }

    public void setPolicyMaturityDate(Date policyMaturityDate) {
        this.policyMaturityDate = policyMaturityDate;
    }

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public String getPolicyNoFormula() {
        return policyNoFormula;
    }

    public void setPolicyNoFormula(String policyNoFormula) {
        this.policyNoFormula = policyNoFormula;
    }

    public String getPolicyPaymentMethod() {
        return policyPaymentMethod;
    }

    public void setPolicyPaymentMethod(String policyPaymentMethod) {
        this.policyPaymentMethod = policyPaymentMethod;
    }

    public String getPolicyPaymentMethodName() {
        return policyPaymentMethodName;
    }

    public void setPolicyPaymentMethodName(String policyPaymentMethodName) {
        this.policyPaymentMethodName = policyPaymentMethodName;
    }

    public String getPolicyPaymentMode() {
        return policyPaymentMode;
    }

    public void setPolicyPaymentMode(String policyPaymentMode) {
        this.policyPaymentMode = policyPaymentMode;
    }

    public String getPolicyPaymentModeName() {
        return policyPaymentModeName;
    }

    public void setPolicyPaymentModeName(String policyPaymentModeName) {
        this.policyPaymentModeName = policyPaymentModeName;
    }

    public String getPolicyPaymentStatusCode() {
        return policyPaymentStatusCode;
    }

    public void setPolicyPaymentStatusCode(String policyPaymentStatusCode) {
        this.policyPaymentStatusCode = policyPaymentStatusCode;
    }

    public String getPolicyPaymentStatusName() {
        return policyPaymentStatusName;
    }

    public void setPolicyPaymentStatusName(String policyPaymentStatusName) {
        this.policyPaymentStatusName = policyPaymentStatusName;
    }

    public Short getPolicyPaymentTerm() {
        return policyPaymentTerm;
    }

    public void setPolicyPaymentTerm(Short policyPaymentTerm) {
        this.policyPaymentTerm = policyPaymentTerm;
    }

    public String getPolicyPlanCode() {
        return policyPlanCode;
    }

    public void setPolicyPlanCode(String policyPlanCode) {
        this.policyPlanCode = policyPlanCode;
    }

    public BigDecimal getPolicyPremiumBaseAmount() {
        return policyPremiumBaseAmount;
    }

    public void setPolicyPremiumBaseAmount(BigDecimal policyPremiumBaseAmount) {
        this.policyPremiumBaseAmount = policyPremiumBaseAmount;
    }

    public Date getPolicyPremiumDueDate() {
        return policyPremiumDueDate;
    }

    public void setPolicyPremiumDueDate(Date policyPremiumDueDate) {
        this.policyPremiumDueDate = policyPremiumDueDate;
    }

    public Date getPolicyPremiumDueDateAfter45Days() {
        return policyPremiumDueDateAfter45Days;
    }

    public void setPolicyPremiumDueDateAfter45Days(Date policyPremiumDueDateAfter45Days) {
        this.policyPremiumDueDateAfter45Days = policyPremiumDueDateAfter45Days;
    }

    public Date getPolicyPremiumDueDateBefore30Days() {
        return policyPremiumDueDateBefore30Days;
    }

    public void setPolicyPremiumDueDateBefore30Days(Date policyPremiumDueDateBefore30Days) {
        this.policyPremiumDueDateBefore30Days = policyPremiumDueDateBefore30Days;
    }

    public Boolean getPolicyPremiumDueDateIsAfter30Days() {
        return policyPremiumDueDateIsAfter30Days;
    }

    public void setPolicyPremiumDueDateIsAfter30Days(Boolean policyPremiumDueDateIsAfter30Days) {
        this.policyPremiumDueDateIsAfter30Days = policyPremiumDueDateIsAfter30Days;
    }

    public Boolean getPolicyPremiumDueDateIsBefore30Days() {
        return policyPremiumDueDateIsBefore30Days;
    }

    public void setPolicyPremiumDueDateIsBefore30Days(Boolean policyPremiumDueDateIsBefore30Days) {
        this.policyPremiumDueDateIsBefore30Days = policyPremiumDueDateIsBefore30Days;
    }

    public String getPolicyPremiumPeriod() {
        return policyPremiumPeriod;
    }

    public void setPolicyPremiumPeriod(String policyPremiumPeriod) {
        this.policyPremiumPeriod = policyPremiumPeriod;
    }

    public BigDecimal getPolicyPremiumRiderAmount() {
        return policyPremiumRiderAmount;
    }

    public void setPolicyPremiumRiderAmount(BigDecimal policyPremiumRiderAmount) {
        this.policyPremiumRiderAmount = policyPremiumRiderAmount;
    }

    public BigDecimal getPolicyPremiumTotalAmount() {
        return policyPremiumTotalAmount;
    }

    public void setPolicyPremiumTotalAmount(BigDecimal policyPremiumTotalAmount) {
        this.policyPremiumTotalAmount = policyPremiumTotalAmount;
    }

    public Integer getPolicyPremiumYear() {
        return policyPremiumYear;
    }

    public void setPolicyPremiumYear(Integer policyPremiumYear) {
        this.policyPremiumYear = policyPremiumYear;
    }

    public String getPolicyProductType() {
        return policyProductType;
    }

    public void setPolicyProductType(String policyProductType) {
        this.policyProductType = policyProductType;
    }

    public BigDecimal getPolicyRiderAfyp() {
        return policyRiderAfyp;
    }

    public void setPolicyRiderAfyp(BigDecimal policyRiderAfyp) {
        this.policyRiderAfyp = policyRiderAfyp;
    }

    public BigDecimal getPolicyRiderFyp() {
        return policyRiderFyp;
    }

    public void setPolicyRiderFyp(BigDecimal policyRiderFyp) {
        this.policyRiderFyp = policyRiderFyp;
    }

    public BigDecimal getPolicyRiderRyp() {
        return policyRiderRyp;
    }

    public void setPolicyRiderRyp(BigDecimal policyRiderRyp) {
        this.policyRiderRyp = policyRiderRyp;
    }

    public String getPolicyStatusCode() {
        return policyStatusCode;
    }

    public void setPolicyStatusCode(String policyStatusCode) {
        this.policyStatusCode = policyStatusCode;
    }

    public String getPolicyStatusName() {
        return policyStatusName;
    }

    public void setPolicyStatusName(String policyStatusName) {
        this.policyStatusName = policyStatusName;
    }

    public String getPolicyStatusNameGrouping() {
        return policyStatusNameGrouping;
    }

    public void setPolicyStatusNameGrouping(String policyStatusNameGrouping) {
        this.policyStatusNameGrouping = policyStatusNameGrouping;
    }

    public Date getPolicySubmitDate() {
        return policySubmitDate;
    }

    public void setPolicySubmitDate(Date policySubmitDate) {
        this.policySubmitDate = policySubmitDate;
    }

    public BigDecimal getPolicySumAssureBase() {
        return policySumAssureBase;
    }

    public void setPolicySumAssureBase(BigDecimal policySumAssureBase) {
        this.policySumAssureBase = policySumAssureBase;
    }

    public BigDecimal getPolicySumAssureRider() {
        return policySumAssureRider;
    }

    public void setPolicySumAssureRider(BigDecimal policySumAssureRider) {
        this.policySumAssureRider = policySumAssureRider;
    }

    public BigDecimal getPolicySumAssureTotal() {
        return policySumAssureTotal;
    }

    public void setPolicySumAssureTotal(BigDecimal policySumAssureTotal) {
        this.policySumAssureTotal = policySumAssureTotal;
    }

    public Date getPolicyTerminateDate() {
        return policyTerminateDate;
    }

    public void setPolicyTerminateDate(Date policyTerminateDate) {
        this.policyTerminateDate = policyTerminateDate;
    }

    public BigDecimal getPolicyTotalAfyp() {
        return policyTotalAfyp;
    }

    public void setPolicyTotalAfyp(BigDecimal policyTotalAfyp) {
        this.policyTotalAfyp = policyTotalAfyp;
    }

    public BigDecimal getPolicyTotalFyp() {
        return policyTotalFyp;
    }

    public void setPolicyTotalFyp(BigDecimal policyTotalFyp) {
        this.policyTotalFyp = policyTotalFyp;
    }

    public BigDecimal getPolicyTotalRyp() {
        return policyTotalRyp;
    }

    public void setPolicyTotalRyp(BigDecimal policyTotalRyp) {
        this.policyTotalRyp = policyTotalRyp;
    }

    public String getSdAgentBackupCurrentCode() {
        return sdAgentBackupCurrentCode;
    }

    public void setSdAgentBackupCurrentCode(String sdAgentBackupCurrentCode) {
        this.sdAgentBackupCurrentCode = sdAgentBackupCurrentCode;
    }

    public String getSdAgentBackupCurrentUnit() {
        return sdAgentBackupCurrentUnit;
    }

    public void setSdAgentBackupCurrentUnit(String sdAgentBackupCurrentUnit) {
        this.sdAgentBackupCurrentUnit = sdAgentBackupCurrentUnit;
    }

    public String getSdAgentBackupCurrentUnitName() {
        return sdAgentBackupCurrentUnitName;
    }

    public void setSdAgentBackupCurrentUnitName(String sdAgentBackupCurrentUnitName) {
        this.sdAgentBackupCurrentUnitName = sdAgentBackupCurrentUnitName;
    }

    public String getSdAgentBackupSellingCode() {
        return sdAgentBackupSellingCode;
    }

    public void setSdAgentBackupSellingCode(String sdAgentBackupSellingCode) {
        this.sdAgentBackupSellingCode = sdAgentBackupSellingCode;
    }

    public String getSdAgentBackupSellingUnit() {
        return sdAgentBackupSellingUnit;
    }

    public void setSdAgentBackupSellingUnit(String sdAgentBackupSellingUnit) {
        this.sdAgentBackupSellingUnit = sdAgentBackupSellingUnit;
    }

    public String getSdAgentBackupSellingUnitName() {
        return sdAgentBackupSellingUnitName;
    }

    public void setSdAgentBackupSellingUnitName(String sdAgentBackupSellingUnitName) {
        this.sdAgentBackupSellingUnitName = sdAgentBackupSellingUnitName;
    }

    public String getSdAgentCode() {
        return sdAgentCode;
    }

    public void setSdAgentCode(String sdAgentCode) {
        this.sdAgentCode = sdAgentCode;
    }

    public String getSdAgentCurrentCode() {
        return sdAgentCurrentCode;
    }

    public void setSdAgentCurrentCode(String sdAgentCurrentCode) {
        this.sdAgentCurrentCode = sdAgentCurrentCode;
    }

    public String getSdAgentCurrentName() {
        return sdAgentCurrentName;
    }

    public void setSdAgentCurrentName(String sdAgentCurrentName) {
        this.sdAgentCurrentName = sdAgentCurrentName;
    }

    public String getSdAgentCurrentUnit() {
        return sdAgentCurrentUnit;
    }

    public void setSdAgentCurrentUnit(String sdAgentCurrentUnit) {
        this.sdAgentCurrentUnit = sdAgentCurrentUnit;
    }

    public String getSdAgentCurrentUnitName() {
        return sdAgentCurrentUnitName;
    }

    public void setSdAgentCurrentUnitName(String sdAgentCurrentUnitName) {
        this.sdAgentCurrentUnitName = sdAgentCurrentUnitName;
    }

    public String getSdAgentName() {
        return sdAgentName;
    }

    public void setSdAgentName(String sdAgentName) {
        this.sdAgentName = sdAgentName;
    }

    public String getSdAgentTeamInformation() {
        return sdAgentTeamInformation;
    }

    public void setSdAgentTeamInformation(String sdAgentTeamInformation) {
        this.sdAgentTeamInformation = sdAgentTeamInformation;
    }

    public String getSdAgentUnit() {
        return sdAgentUnit;
    }

    public void setSdAgentUnit(String sdAgentUnit) {
        this.sdAgentUnit = sdAgentUnit;
    }

    public String getSdAgentUnitName() {
        return sdAgentUnitName;
    }

    public void setSdAgentUnitName(String sdAgentUnitName) {
        this.sdAgentUnitName = sdAgentUnitName;
    }

    public String getSdAgentUnitNameFormula() {
        return sdAgentUnitNameFormula;
    }

    public void setSdAgentUnitNameFormula(String sdAgentUnitNameFormula) {
        this.sdAgentUnitNameFormula = sdAgentUnitNameFormula;
    }

    public String getSendEmailMemo() {
        return sendEmailMemo;
    }

    public void setSendEmailMemo(String sendEmailMemo) {
        this.sendEmailMemo = sendEmailMemo;
    }

    public String getSmAgentBackupCurrentCode() {
        return smAgentBackupCurrentCode;
    }

    public void setSmAgentBackupCurrentCode(String smAgentBackupCurrentCode) {
        this.smAgentBackupCurrentCode = smAgentBackupCurrentCode;
    }

    public String getSmAgentBackupCurrentUnit() {
        return smAgentBackupCurrentUnit;
    }

    public void setSmAgentBackupCurrentUnit(String smAgentBackupCurrentUnit) {
        this.smAgentBackupCurrentUnit = smAgentBackupCurrentUnit;
    }

    public String getSmAgentBackupCurrentUnitName() {
        return smAgentBackupCurrentUnitName;
    }

    public void setSmAgentBackupCurrentUnitName(String smAgentBackupCurrentUnitName) {
        this.smAgentBackupCurrentUnitName = smAgentBackupCurrentUnitName;
    }

    public String getSmAgentBackupSellingCode() {
        return smAgentBackupSellingCode;
    }

    public void setSmAgentBackupSellingCode(String smAgentBackupSellingCode) {
        this.smAgentBackupSellingCode = smAgentBackupSellingCode;
    }

    public String getSmAgentBackupSellingUnit() {
        return smAgentBackupSellingUnit;
    }

    public void setSmAgentBackupSellingUnit(String smAgentBackupSellingUnit) {
        this.smAgentBackupSellingUnit = smAgentBackupSellingUnit;
    }

    public String getSmAgentBackupSellingUnitName() {
        return smAgentBackupSellingUnitName;
    }

    public void setSmAgentBackupSellingUnitName(String smAgentBackupSellingUnitName) {
        this.smAgentBackupSellingUnitName = smAgentBackupSellingUnitName;
    }

    public String getSmAgentCode() {
        return smAgentCode;
    }

    public void setSmAgentCode(String smAgentCode) {
        this.smAgentCode = smAgentCode;
    }

    public String getSmAgentCurrentCode() {
        return smAgentCurrentCode;
    }

    public void setSmAgentCurrentCode(String smAgentCurrentCode) {
        this.smAgentCurrentCode = smAgentCurrentCode;
    }

    public String getSmAgentCurrentName() {
        return smAgentCurrentName;
    }

    public void setSmAgentCurrentName(String smAgentCurrentName) {
        this.smAgentCurrentName = smAgentCurrentName;
    }

    public String getSmAgentCurrentUnit() {
        return smAgentCurrentUnit;
    }

    public void setSmAgentCurrentUnit(String smAgentCurrentUnit) {
        this.smAgentCurrentUnit = smAgentCurrentUnit;
    }

    public String getSmAgentCurrentUnitName() {
        return smAgentCurrentUnitName;
    }

    public void setSmAgentCurrentUnitName(String smAgentCurrentUnitName) {
        this.smAgentCurrentUnitName = smAgentCurrentUnitName;
    }

    public String getSmAgentName() {
        return smAgentName;
    }

    public void setSmAgentName(String smAgentName) {
        this.smAgentName = smAgentName;
    }

    public String getSmAgentTeamInformation() {
        return smAgentTeamInformation;
    }

    public void setSmAgentTeamInformation(String smAgentTeamInformation) {
        this.smAgentTeamInformation = smAgentTeamInformation;
    }

    public String getSmAgentUnit() {
        return smAgentUnit;
    }

    public void setSmAgentUnit(String smAgentUnit) {
        this.smAgentUnit = smAgentUnit;
    }

    public String getSmAgentUnitName() {
        return smAgentUnitName;
    }

    public void setSmAgentUnitName(String smAgentUnitName) {
        this.smAgentUnitName = smAgentUnitName;
    }

    public String getSmAgentUnitNameFormula() {
        return smAgentUnitNameFormula;
    }

    public void setSmAgentUnitNameFormula(String smAgentUnitNameFormula) {
        this.smAgentUnitNameFormula = smAgentUnitNameFormula;
    }

    public Date getSystemmodstamp() {
        return systemmodstamp;
    }

    public void setSystemmodstamp(Date systemmodstamp) {
        this.systemmodstamp = systemmodstamp;
    }

    public Boolean getTeamVisibility() {
        return teamVisibility;
    }

    public void setTeamVisibility(Boolean teamVisibility) {
        this.teamVisibility = teamVisibility;
    }

    public Date getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(Date transactionDate) {
        this.transactionDate = transactionDate;
    }

    public String getTransactionDateMonth() {
        return transactionDateMonth;
    }

    public void setTransactionDateMonth(String transactionDateMonth) {
        this.transactionDateMonth = transactionDateMonth;
    }

    public String getTransactionDateYear() {
        return transactionDateYear;
    }

    public void setTransactionDateYear(String transactionDateYear) {
        this.transactionDateYear = transactionDateYear;
    }

    public String getTransactionPeriod() {
        return transactionPeriod;
    }

    public void setTransactionPeriod(String transactionPeriod) {
        this.transactionPeriod = transactionPeriod;
    }

    public String getTransactionPeriodMonthDashboard() {
        return transactionPeriodMonthDashboard;
    }

    public void setTransactionPeriodMonthDashboard(String transactionPeriodMonthDashboard) {
        this.transactionPeriodMonthDashboard = transactionPeriodMonthDashboard;
    }

    public String getTransactionPeriodYearDashboard() {
        return transactionPeriodYearDashboard;
    }

    public void setTransactionPeriodYearDashboard(String transactionPeriodYearDashboard) {
        this.transactionPeriodYearDashboard = transactionPeriodYearDashboard;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AgPolicyMaster)) {
            return false;
        }
        AgPolicyMaster other = (AgPolicyMaster) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.b3.rbl.compensation.db.entity.AgPolicyMaster[ id=" + id + " ]";
    }

}
