package com.b3.rbl.compensation.db.repository;

import com.b3.rbl.compensation.db.entity.MetaType;

import java.util.UUID;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;
import java.util.List;

@Repository
public interface MetaTypeRepository extends CrudRepository<MetaType, UUID> {
    public List<MetaType> findByGroupTypeAndIsDelete(String groupType, boolean isDelete);
}
