package com.b3.rbl.compensation.db.repository;

import com.b3.rbl.compensation.db.entity.TmpPayIndividual;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface TmpPayIndividualRepository extends CrudRepository<TmpPayIndividual, Long> {

    @Modifying
    @Transactional
    public void deleteByPaidDate(Integer paidDate);

}
