package com.b3.rbl.compensation.model;

import java.io.Serializable;

public class AgentInfoModel implements Serializable {
    private static final long serialVersionUID = -9363144333L;

    private String id;
    private String name;
    private String agentCode;
    private String agentLevelCode;
    private String unitCode;
    private String groupCode;
    private String lineCode;

    public AgentInfoModel() {
    }

    public AgentInfoModel(String id, String name, String agentCode, String agentLevelCode, String unitCode,
            String groupCode, String lineCode) {
        this.id = id;
        this.name = name;
        this.agentCode = agentCode;
        this.agentLevelCode = agentLevelCode;
        this.unitCode = unitCode;
        this.groupCode = groupCode;
        this.lineCode = lineCode;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAgentCode() {
        return this.agentCode;
    }

    public void setAgentCode(String agentCode) {
        this.agentCode = agentCode;
    }

    public String getAgentLevelCode() {
        return this.agentLevelCode;
    }

    public void setAgentLevelCode(String agentLevelCode) {
        this.agentLevelCode = agentLevelCode;
    }

    public String getUnitCode() {
        return this.unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getGroupCode() {
        return this.groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public String getLineCode() {
        return this.lineCode;
    }

    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    @Override
    public String toString() {
        return "{" + " id='" + getId() + "'" + ", name='" + getName() + "'" + ", agentCode='" + getAgentCode() + "'"
                + ", agentLevelCode='" + getAgentLevelCode() + "'" + ", unitCode='" + getUnitCode() + "'"
                + ", groupCode='" + getGroupCode() + "'" + ", lineCode='" + getLineCode() + "'" + "}";
    }

}
