package com.b3.rbl.compensation.model.salesforce;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = false)
public class AgCustomerDto {

    @JsonProperty("Id")
    private String id;

    @JsonProperty("Agent_Producing__c")
    private String agentProducing;

    @JsonProperty("Agent_Producing_User__c")
    private String agentProducingUser;

    @JsonProperty("Agent_Producing_Visibility__c")
    private boolean agentProducingVisibility;

    @JsonProperty("Agent_Servicing__c")
    private String agentServicing;

    @JsonProperty("Agent_Servicing_User__c")
    private String agentServicingUser;

    @JsonProperty("Agent_Servicing_Visibility__c")
    private boolean agentServicingVisibility;

    @JsonProperty("CreatedById")
    private String createdbyid;

    @JsonProperty("CreatedDate")
    private Date createddate;

    @JsonProperty("Customer_Address__c")
    private String customerAddress;

    @JsonProperty("Customer_Address1__c")
    private String customerAddress1;

    @JsonProperty("Customer_Address2__c")
    private String customerAddress2;

    @JsonProperty("Customer_Address3__c")
    private String customerAddress3;

    @JsonProperty("Customer_Address4__c")
    private String customerAddress4;

    @JsonProperty("Customer_Address5__c")
    private String customerAddress5;

    @JsonProperty("Customer_Birth_Date__c")
    private Date customerBirthDate;

    @JsonProperty("Customer_BirthDate__c")
    private String customerBirthdate;

    @JsonProperty("Customer_Gender__c")
    private String customerGender;

    @JsonProperty("Customer_Id_Card__c")
    private String customerIdCard;

    @JsonProperty("Customer_Id_Card_HyperLink__c")
    private String customerIdCardHyperlink;

    @JsonProperty("Customer_Mobile_No__c")
    private String customerMobileNo;

    @JsonProperty("Customer_Name__c")
    private String customerName;

    @JsonProperty("DATE_Birth__c")
    private String dateBirth;

    // @JsonProperty("recordid")
    // private String recordid;

    @JsonProperty("Is_birth_this_month__c")
    private boolean isBirthThisMonth;

    @JsonProperty("Is_birth_this_week__c")
    private boolean isBirthThisWeek;

    @JsonProperty("IsDeleted")
    private boolean isdeleted;

    @JsonProperty("LastActivityDate")
    private Date lastactivitydate;

    @JsonProperty("LastModifiedById")
    private String lastmodifiedbyid;

    @JsonProperty("LastModifiedDate")
    private Date lastmodifieddate;

    @JsonProperty("LastReferencedDate")
    private Date lastreferenceddate;

    @JsonProperty("LastViewedDate")
    private Date lastvieweddate;

    @JsonProperty("Name")
    private String name;

    @JsonProperty("OwnerId")
    private String ownerid;

    @JsonProperty("SystemModstamp")
    private Date systemmodstamp;

    // @JsonProperty("customer_address__c")
    // private String customerAddressC;
}
