package com.b3.rbl.compensation.model.salesforce;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = false)
public class AgPolicyMasterDto {

    @JsonProperty("Id")
    private String id;

    @JsonProperty("AG_Customer_Name__c")
    private String agCustomerName;

    @JsonProperty("Ag_Policy_Renewal__c")
    private String agPolicyRenewal;

    @JsonProperty("Agent_Current_Code__c")
    private String agentCurrentCode;

    @JsonProperty("Agent_Current_Level__c")
    private String agentCurrentLevel;

    @JsonProperty("Agent_Current_Name__c")
    private String agentCurrentName;

    @JsonProperty("Agent_Producing_Backup__c")
    private String agentProducingBackup;

    @JsonProperty("Agent_Producing_Backup_User__c")
    private String agentProducingBackupUser;

    @JsonProperty("Agent_Producing_Policy__c")
    private String agentProducingPolicy;

    @JsonProperty("Agent_Producing_Visibility__c")
    private Boolean agentProducingVisibility;

    @JsonProperty("Agent_Producting__c")
    private String agentProducting;

    @JsonProperty("Agent_Producting_User__c")
    private String agentProductingUser;

    @JsonProperty("Agent_Selling_Code__c")
    private String agentSellingCode;

    @JsonProperty("Agent_Selling_Level__c")
    private String agentSellingLevel;

    @JsonProperty("Agent_Selling_Name__c")
    private String agentSellingName;

    @JsonProperty("Agent_Servicing__c")
    private String agentServicing;

    @JsonProperty("Agent_Servicing_Backup__c")
    private String agentServicingBackup;

    @JsonProperty("Agent_Servicing_Backup_User__c")
    private String agentServicingBackupUser;

    @JsonProperty("Agent_Servicing_Policy__c")
    private String agentServicingPolicy;

    @JsonProperty("Agent_Servicing_User__c")
    private String agentServicingUser;

    @JsonProperty("Agent_Servicing_User_IsActive__c")
    private Boolean agentServicingUserIsactive;

    @JsonProperty("Agent_Servicing_Visibility__c")
    private Boolean agentServicingVisibility;

    @JsonProperty("CreatedById")
    private String createdbyid;

    @JsonProperty("CreatedDate")
    private Date createddate;

    @JsonProperty("Customer_Gender__c")
    private String customerGender;

    @JsonProperty("Customer_Id_Card__c")
    private String customerIdCard;

    @JsonProperty("Customer_Id_Card_HyperLink__c")
    private String customerIdCardHyperlink;

    @JsonProperty("Customer_Name__c")
    private String customerName;

    @JsonProperty("Customer_Name_Formula__c")
    private String customerNameFormula;

    @JsonProperty("ESD_Agent_Backup_Current_Code__c")
    private String esdAgentBackupCurrentCode;

    @JsonProperty("ESD_Agent_Backup_Current_Unit__c")
    private String esdAgentBackupCurrentUnit;

    @JsonProperty("ESD_Agent_Backup_Current_Unit_Name__c")
    private String esdAgentBackupCurrentUnitName;

    @JsonProperty("ESD_Agent_Backup_Selling_Code__c")
    private String esdAgentBackupSellingCode;

    @JsonProperty("ESD_Agent_Backup_Selling_Unit__c")
    private String esdAgentBackupSellingUnit;

    @JsonProperty("ESD_Agent_Backup_Selling_Unit_Name__c")
    private String esdAgentBackupSellingUnitName;

    @JsonProperty("ESD_Agent_Code__c")
    private String esdAgentCode;

    @JsonProperty("ESD_Agent_Current_Code__c")
    private String esdAgentCurrentCode;

    @JsonProperty("ESD_Agent_Current_Name__c")
    private String esdAgentCurrentName;

    @JsonProperty("ESD_Agent_Current_Unit__c")
    private String esdAgentCurrentUnit;

    @JsonProperty("ESD_Agent_Current_Unit_Name__c")
    private String esdAgentCurrentUnitName;

    @JsonProperty("ESD_Agent_Name__c")
    private String esdAgentName;

    @JsonProperty("ESD_Agent_Name_Formula__c")
    private String esdAgentNameFormula;

    @JsonProperty("ESD_Agent_Team_Information__c")
    private String esdAgentTeamInformation;

    @JsonProperty("ESD_Agent_Unit__c")
    private String esdAgentUnit;

    @JsonProperty("ESD_Agent_Unit_Name__c")
    private String esdAgentUnitName;

    @JsonProperty("ESD_Agent_Unit_Name_Formula__c")
    private String esdAgentUnitNameFormula;

    @JsonProperty("ESD_Name_Formula__c")
    private String esdNameFormula;

    @JsonProperty("Fulfillment_Receive_Date__c")
    private Date fulfillmentReceiveDate;

    @JsonProperty("Fulfillment_Send_Date__c")
    private Date fulfillmentSendDate;

    @JsonProperty("record_id")
    private String recordId;

    @JsonProperty("Is_Policy_Premium_Year_1__c")
    private Boolean isPolicyPremiumYear1;

    @JsonProperty("Is_Producing_Changed_By_3_Profiles__c")
    private Boolean isProducingChangedBy3Profiles;

    @JsonProperty("Is_Servicing_Changed__c")
    private Boolean isServicingChanged;

    @JsonProperty("Is_Servicing_Changed_By_3_Profiles__c")
    private Boolean isServicingChangedBy3Profiles;

    @JsonProperty("Is_Transaction_Date_last_13_month__c")
    private Boolean isTransactionDateLast13Month;

    @JsonProperty("Is_Transaction_Date_last_4_month__c")
    private Boolean isTransactionDateLast4Month;

    @JsonProperty("IsDeleted")
    private Boolean isdeleted;

    @JsonProperty("LastActivityDate")
    private Date lastactivitydate;

    @JsonProperty("LastModifiedById")
    private String lastmodifiedbyid;

    @JsonProperty("LastModifiedDate")
    private Date lastmodifieddate;

    @JsonProperty("LastReferencedDate")
    private Date lastreferenceddate;

    @JsonProperty("LastViewedDate")
    private Date lastvieweddate;

    @JsonProperty("Line_Agent_Backup_Current_Code__c")
    private String lineAgentBackupCurrentCode;

    @JsonProperty("Line_Agent_Backup_Current_Unit__c")
    private String lineAgentBackupCurrentUnit;

    @JsonProperty("Line_Agent_Backup_Current_Unit_Name__c")
    private String lineAgentBackupCurrentUnitName;

    @JsonProperty("Line_Agent_Backup_Selling_Code__c")
    private String lineAgentBackupSellingCode;

    @JsonProperty("Line_Agent_Backup_Selling_Unit__c")
    private String lineAgentBackupSellingUnit;

    @JsonProperty("Line_Agent_Backup_Selling_Unit_Name__c")
    private String lineAgentBackupSellingUnitName;

    @JsonProperty("Line_Agent_Code__c")
    private String lineAgentCode;

    @JsonProperty("Line_Agent_Current_Code__c")
    private String lineAgentCurrentCode;

    @JsonProperty("Line_Agent_Current_Name__c")
    private String lineAgentCurrentName;

    @JsonProperty("Line_Agent_Current_Unit__c")
    private String lineAgentCurrentUnit;

    @JsonProperty("Line_Agent_Current_Unit_Name__c")
    private String lineAgentCurrentUnitName;

    @JsonProperty("Line_Agent_Name__c")
    private String lineAgentName;

    @JsonProperty("Line_Agent_Unit__c")
    private String lineAgentUnit;

    @JsonProperty("Line_Agent_Unit_Name__c")
    private String lineAgentUnitName;

    @JsonProperty("Must_Calculate__c")
    private Boolean mustCalculate;

    @JsonProperty("Name")
    private String name;

    @JsonProperty("OwnerId")
    private String ownerid;

    @JsonProperty("Pending_Letter_Link__c")
    private String pendingLetterLink;

    @JsonProperty("Pending_Reject_Reason__c")
    private String pendingRejectReason;

    @JsonProperty("Policy_Acknowledgement_Code__c")
    private String policyAcknowledgementCode;

    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @JsonProperty("Policy_Base_AFYP__c")
    private BigDecimal policyBaseAfyp;

    @JsonProperty("Policy_Base_FYP__c")
    private BigDecimal policyBaseFyp;

    @JsonProperty("Policy_Base_RYP__c")
    private BigDecimal policyBaseRyp;

    @JsonProperty("Policy_Channel__c")
    private String policyChannel;

    @JsonProperty("Policy_Coverage_Term__c")
    private Short policyCoverageTerm;

    @JsonProperty("Policy_Effective_Date__c")
    private Date policyEffectiveDate;

    @JsonProperty("Policy_Fully_Paid__c")
    private String policyFullyPaid;

    @JsonProperty("Policy_Issue_Age__c")
    private Short policyIssueAge;

    @JsonProperty("Policy_Issue_Date__c")
    private Date policyIssueDate;

    @JsonProperty("Policy_Maturity_Date__c")
    private Date policyMaturityDate;

    @JsonProperty("Policy_No__c")
    private String policyNo;

    @JsonProperty("Policy_No_Formula__c")
    private String policyNoFormula;

    @JsonProperty("Policy_Payment_Method__c")
    private String policyPaymentMethod;

    @JsonProperty("Policy_Payment_Method_Name__c")
    private String policyPaymentMethodName;

    @JsonProperty("Policy_Payment_Mode__c")
    private String policyPaymentMode;

    @JsonProperty("Policy_Payment_Mode_Name__c")
    private String policyPaymentModeName;

    @JsonProperty("Policy_Payment_Status_Code__c")
    private String policyPaymentStatusCode;

    @JsonProperty("Policy_Payment_Status_Name__c")
    private String policyPaymentStatusName;

    @JsonProperty("Policy_Payment_Term__c")
    private Short policyPaymentTerm;

    @JsonProperty("Policy_Plan_Code__c")
    private String policyPlanCode;

    @JsonProperty("Policy_Premium_Base_Amount__c")
    private BigDecimal policyPremiumBaseAmount;

    @JsonProperty("Policy_Premium_Due_Date__c")
    private Date policyPremiumDueDate;

    @JsonProperty("Policy_Premium_Due_Date_After45_Days__c")
    private Date policyPremiumDueDateAfter45Days;

    @JsonProperty("Policy_Premium_Due_Date_Before30_Days__c")
    private Date policyPremiumDueDateBefore30Days;

    @JsonProperty("Policy_Premium_Due_Date_Is_After30_Days__c")
    private Boolean policyPremiumDueDateIsAfter30Days;

    @JsonProperty("Policy_Premium_Due_Date_Is_Before30_Days__c")
    private Boolean policyPremiumDueDateIsBefore30Days;

    @JsonProperty("Policy_Premium_Period__c")
    private String policyPremiumPeriod;

    @JsonProperty("Policy_Premium_Rider_Amount__c")
    private BigDecimal policyPremiumRiderAmount;

    @JsonProperty("Policy_Premium_Total_Amount__c")
    private BigDecimal policyPremiumTotalAmount;

    @JsonProperty("Policy_Premium_Year__c")
    private Integer policyPremiumYear;

    @JsonProperty("Policy_Product_Type__c")
    private String policyProductType;

    @JsonProperty("Policy_Rider_AFYP__c")
    private BigDecimal policyRiderAfyp;

    @JsonProperty("Policy_Rider_FYP__c")
    private BigDecimal policyRiderFyp;

    @JsonProperty("Policy_Rider_RYP__c")
    private BigDecimal policyRiderRyp;

    @JsonProperty("Policy_Status_Code__c")
    private String policyStatusCode;

    @JsonProperty("Policy_Status_Name__c")
    private String policyStatusName;

    @JsonProperty("Policy_Status_Name_Grouping__c")
    private String policyStatusNameGrouping;

    @JsonProperty("Policy_Submit_Date__c")
    private Date policySubmitDate;

    @JsonProperty("Policy_Sum_Assure_Base__c")
    private BigDecimal policySumAssureBase;

    @JsonProperty("Policy_Sum_Assure_Rider__c")
    private BigDecimal policySumAssureRider;

    @JsonProperty("Policy_Sum_Assure_Total__c")
    private BigDecimal policySumAssureTotal;

    @JsonProperty("Policy_Terminate_Date__c")
    private Date policyTerminateDate;

    @JsonProperty("Policy_Total_AFYP__c")
    private BigDecimal policyTotalAfyp;

    @JsonProperty("Policy_Total_FYP__c")
    private BigDecimal policyTotalFyp;

    @JsonProperty("Policy_Total_RYP__c")
    private BigDecimal policyTotalRyp;

    @JsonProperty("SD_Agent_Backup_Current_Code__c")
    private String sdAgentBackupCurrentCode;

    @JsonProperty("SD_Agent_Backup_Current_Unit__c")
    private String sdAgentBackupCurrentUnit;

    @JsonProperty("SD_Agent_Backup_Current_Unit_Name__c")
    private String sdAgentBackupCurrentUnitName;

    @JsonProperty("SD_Agent_Backup_Selling_Code__c")
    private String sdAgentBackupSellingCode;

    @JsonProperty("SD_Agent_Backup_Selling_Unit__c")
    private String sdAgentBackupSellingUnit;

    @JsonProperty("SD_Agent_Backup_Selling_Unit_Name__c")
    private String sdAgentBackupSellingUnitName;

    @JsonProperty("SD_Agent_Code__c")
    private String sdAgentCode;

    @JsonProperty("SD_Agent_Current_Code__c")
    private String sdAgentCurrentCode;

    @JsonProperty("SD_Agent_Current_Name__c")
    private String sdAgentCurrentName;

    @JsonProperty("SD_Agent_Current_Unit__c")
    private String sdAgentCurrentUnit;

    @JsonProperty("SD_Agent_Current_Unit_Name__c")
    private String sdAgentCurrentUnitName;

    @JsonProperty("SD_Agent_Name__c")
    private String sdAgentName;

    @JsonProperty("SD_Agent_Team_Information__c")
    private String sdAgentTeamInformation;

    @JsonProperty("SD_Agent_Unit__c")
    private String sdAgentUnit;

    @JsonProperty("SD_Agent_Unit_Name__c")
    private String sdAgentUnitName;

    @JsonProperty("SD_Agent_Unit_Name_Formula__c")
    private String sdAgentUnitNameFormula;

    @JsonProperty("Send_Email_Memo__c")
    private String sendEmailMemo;

    @JsonProperty("SM_Agent_Backup_Current_Code__c")
    private String smAgentBackupCurrentCode;

    @JsonProperty("SM_Agent_Backup_Current_Unit__c")
    private String smAgentBackupCurrentUnit;

    @JsonProperty("SM_Agent_Backup_Current_Unit_Name__c")
    private String smAgentBackupCurrentUnitName;

    @JsonProperty("SM_Agent_Backup_Selling_Code__c")
    private String smAgentBackupSellingCode;

    @JsonProperty("SM_Agent_Backup_Selling_Unit__c")
    private String smAgentBackupSellingUnit;

    @JsonProperty("SM_Agent_Backup_Selling_Unit_Name__c")
    private String smAgentBackupSellingUnitName;

    @JsonProperty("SM_Agent_Code__c")
    private String smAgentCode;

    @JsonProperty("SM_Agent_Current_Code__c")
    private String smAgentCurrentCode;

    @JsonProperty("SM_Agent_Current_Name__c")
    private String smAgentCurrentName;

    @JsonProperty("SM_Agent_Current_Unit__c")
    private String smAgentCurrentUnit;

    @JsonProperty("SM_Agent_Current_Unit_Name__c")
    private String smAgentCurrentUnitName;

    @JsonProperty("SM_Agent_Name__c")
    private String smAgentName;

    @JsonProperty("SM_Agent_Team_Information__c")
    private String smAgentTeamInformation;

    @JsonProperty("SM_Agent_Unit__c")
    private String smAgentUnit;

    @JsonProperty("SM_Agent_Unit_Name__c")
    private String smAgentUnitName;

    @JsonProperty("SM_Agent_Unit_Name_Formula__c")
    private String smAgentUnitNameFormula;

    @JsonProperty("SystemModstamp")
    private Date systemmodstamp;

    @JsonProperty("Team_Visibility__c")
    private Boolean teamVisibility;

    @JsonProperty("Transaction_Date__c")
    private Date transactionDate;

    @JsonProperty("Transaction_Date_Month__c")
    private String transactionDateMonth;

    @JsonProperty("Transaction_Date_Year__c")
    private String transactionDateYear;

    @JsonProperty("Transaction_Period__c")
    private String transactionPeriod;

    @JsonProperty("Transaction_Period_Month_Dashboard__c")
    private String transactionPeriodMonthDashboard;

    @JsonProperty("Transaction_Period_Year_Dashboard__c")
    private String transactionPeriodYearDashboard;
}
