package com.b3.rbl.compensation.service;

import org.springframework.stereotype.Service;

import com.b3.rbl.compensation.db.entity.Account;
import com.b3.rbl.compensation.db.repository.AccountRepository;

import lombok.AllArgsConstructor;

@Service
@AllArgsConstructor
public class AccountService {

    private AccountRepository accountRepository;

    public Account getAccount(String id) {
        return this.accountRepository.findById(id).orElse(null);
    }
}
