package com.b3.rbl.onedrive.container.items;

import com.b3.rbl.onedrive.container.facet.RemoteItemFacet;
import com.b3.rbl.onedrive.container.items.pointer.IdPointer;
import com.b3.rbl.onedrive.exceptions.ErrorResponseException;
import org.jetbrains.annotations.NotNull;

public interface RemoteItem extends DriveItem {
	@NotNull String getRemoteDriveID();

	@NotNull String getRemoteID();

	@NotNull IdPointer getRemotePointer();

	@NotNull DriveItem fetchRemoteItem() throws ErrorResponseException;

	@NotNull RemoteItemFacet getRemoteItem();
}
